package com.chinaitop;

import com.chinaitop.depot.intelligent.file.entity.MinIoProperties;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

@EnableEurekaClient
@SpringBootApplication
@MapperScan({
        "com.chinaitop.depot.intelligent.*.mapper"
})
@EnableConfigurationProperties(MinIoProperties.class)
public class DepotSmartStorageQinghaiApplication {

    public static void main(String[] args) {
        SpringApplication.run(DepotSmartStorageQinghaiApplication.class, args);
    }

    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }

}
