package com.chinaitop.depot.intelligent.basicData.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TFumigationCirculation;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationCirculationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationCirculationParam;
import com.chinaitop.depot.intelligent.basicData.service.TFumigationCirculationService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 环流熏蒸设备配置 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-09
 */
@RestController
@RequestMapping( "/t-fumigationCirculation")
@Api(value = "TFumigationCirculationController", description = "环流熏蒸设备控制类")
public class TFumigationCirculationController {


    @Autowired
    private TFumigationCirculationService tFumigationCirculationService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 环流熏蒸设备 信息列表", notes = "查询 通风设备 信息列表")
    public ResponseEntity<Page<TFumigationCirculation>> getList(TFumigationCirculationPageParam pageParam) {

        return ResponseEntity.ok(tFumigationCirculationService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "环流熏蒸设备新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TFumigationCirculationParam infoParam) {
        return ResponseEntity.ok(tFumigationCirculationService.saveData(infoParam));
    }

    @PutMapping("/update")
    @ApiOperation(value = "环流熏蒸设备修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TFumigationCirculationParam infoParam) {
        return ResponseEntity.ok(tFumigationCirculationService.updateData(infoParam));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "环流熏蒸设备删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tFumigationCirculationService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "环流熏蒸设备详情", notes = "id获取详情")
    public ResponseEntity<TFumigationCirculation> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tFumigationCirculationService.getById(id));
    }



}
