package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TFumigationTask;
import com.chinaitop.depot.intelligent.basicData.model.TStation;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationTaskPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationTaskParam;
import com.chinaitop.depot.intelligent.basicData.param.TStationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TStationParam;
import com.chinaitop.depot.intelligent.basicData.service.TFumigationTaskService;
import com.chinaitop.depot.intelligent.basicData.service.TStationService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 熏蒸作业 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-fumigation-task")
@Api(value = "TFumigationTaskController", description = "熏蒸作业控制类")
public class TFumigationTaskController {


    @Autowired
    private TFumigationTaskService tFumigationTaskService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 熏蒸作业 信息列表", notes = "查询 熏蒸作业 信息列表")
    public ResponseEntity<Page<TFumigationTask>> getList(TFumigationTaskPageParam pageParam) {

        return ResponseEntity.ok(tFumigationTaskService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "熏蒸作业新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TFumigationTaskParam param) {
        return ResponseEntity.ok(tFumigationTaskService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "熏蒸作业修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TFumigationTaskParam param) {
        return ResponseEntity.ok(tFumigationTaskService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "熏蒸作业删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id,@PathVariable("orgId") Integer orgId) {
        return ResponseEntity.ok(tFumigationTaskService.deleteData(id,orgId));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "熏蒸作业详情", notes = "id获取详情")
    public ResponseEntity<TFumigationTask> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tFumigationTaskService.getById(id));
    }


}
