package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TKtinfo;
import com.chinaitop.depot.intelligent.basicData.param.TKtinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TKtinfoParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.service.TKtinfoService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 控温设备配置(空调) 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-ktinfo")
@Api(value = "TKtinfoController", description = "控温设备配置(空调)和智能控温 控制类")
public class TKtinfoController {



    @Autowired
    private TKtinfoService tKtinfoService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 气调设备配置 信息列表", notes = "查询 气调设备配置 信息列表")
    public ResponseEntity<Page<TKtinfo>> getList(TKtinfoPageParam pageParam) {

        return ResponseEntity.ok(tKtinfoService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "气调设备配置新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TKtinfoParam param) {
        return ResponseEntity.ok(tKtinfoService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "气调设备配置修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TKtinfoParam param) {
        return ResponseEntity.ok(tKtinfoService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "气调设备配置删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tKtinfoService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "气调设备配置详情", notes = "id获取详情")
    public ResponseEntity<TKtinfo> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tKtinfoService.getById(id));
    }


}
