package com.chinaitop.depot.intelligent.basicData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TQtdevinfo;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TQtdevinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TQtdevinfoParam;
import com.chinaitop.depot.intelligent.basicData.service.TQtdevinfoService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 气体液位设备设置 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-qtdevinfo")
@Api(value = "TQtdevinfoController", description = "气体液位设备设置控制类")
public class TQtdevinfoController {

    @Autowired
    private TQtdevinfoService tQtdevinfoService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 气体液位设备设置 信息列表", notes = "查询 气体液位设备设置 信息列表")
    public ResponseEntity<Page<TQtdevinfo>> getList(TQtdevinfoPageParam pageParam) {

        return ResponseEntity.ok(tQtdevinfoService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "气体液位设备设置新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TQtdevinfoParam param) {
        return ResponseEntity.ok(tQtdevinfoService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "气体液位设备设置修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TQtdevinfoParam param) {
        return ResponseEntity.ok(tQtdevinfoService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "气体液位设备设置删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tQtdevinfoService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "气体液位设备设置详情", notes = "id获取详情")
    public ResponseEntity<TQtdevinfo> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tQtdevinfoService.getById(id));
    }

}
