package com.chinaitop.depot.intelligent.basicData.controller;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TVentilatioInfo;
import com.chinaitop.depot.intelligent.basicData.param.TVentilatioInfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TVentilatioInfoParam;
import com.chinaitop.depot.intelligent.basicData.service.TVentilatioInfoService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 通风设备配置 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-09
 */
@RestController
@RequestMapping(value = "t-ventilatioInfo")
@Api(value = "TVentilatioInfoController", description = "通风设备控制类")
public class TVentilatioInfoController {

    @Autowired
    private TVentilatioInfoService tVentilatioInfoService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 通风设备 信息列表", notes = "查询 通风设备 信息列表")
    public ResponseEntity<Page<TVentilatioInfo>> getList(TVentilatioInfoPageParam pageParam) {

        return ResponseEntity.ok(tVentilatioInfoService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "通风设备新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TVentilatioInfoParam infoParam) {
        return ResponseEntity.ok(tVentilatioInfoService.saveData(infoParam));
    }

    @PutMapping("/update")
    @ApiOperation(value = "通风设备修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TVentilatioInfoParam infoParam) {
        return ResponseEntity.ok(tVentilatioInfoService.updateData(infoParam));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "通风设备删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tVentilatioInfoService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "通风设备详情", notes = "id获取详情")
    public ResponseEntity<TVentilatioInfo> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tVentilatioInfoService.getById(id));
    }

}
