package com.chinaitop.depot.intelligent.basicData.controller;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TVentilationOperation;
import com.chinaitop.depot.intelligent.basicData.param.TVentilationOperationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TVentilationOperationParam;
import com.chinaitop.depot.intelligent.basicData.service.TVentilationOperationService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 通风作业管理 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-ventilation-operation")
@Api(value = "TVentilationOperationController", description = "通风作业控制类")
public class TVentilationOperationController {


    @Autowired
    private TVentilationOperationService tVentilationOperationService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 通风作业管理 信息列表", notes = "查询 通风作业管理 信息列表")
    public ResponseEntity<Page<TVentilationOperation>> getList(TVentilationOperationPageParam pageParam) {

        return ResponseEntity.ok(tVentilationOperationService.getList(pageParam));
    }
    @PostMapping("/save")
    @ApiOperation(value = "通风作业管理新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody TVentilationOperationParam param) {
        return ResponseEntity.ok(tVentilationOperationService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "通风作业管理修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody TVentilationOperationParam param) {
        return ResponseEntity.ok(tVentilationOperationService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "通风作业管理删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(tVentilationOperationService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "通风作业管理详情", notes = "id获取详情")
    public ResponseEntity<TVentilationOperation> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(tVentilationOperationService.getById(id));
    }





}
