package com.chinaitop.depot.intelligent.basicData.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysis;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysisChart;
import com.chinaitop.depot.intelligent.basicData.param.WarehouseDataAnalysisPageParam;
import com.chinaitop.depot.intelligent.basicData.service.WarehouseDataAnalysisService;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devData.model.TLqDataPageParam;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-07-16 15:39
 */
@RestController
@RequestMapping("/warehouseDataAnalysis")
@Api(tags = "仓储数据分析")
public class WarehouseDataAnalysisController {
    @Resource
    private WarehouseDataAnalysisService warehouseDataAnalysisService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "仓储数据分析分页列表", notes = "支持分页")
    public ResponseEntity<Page<WarehouseDataAnalysis>> getPageList(@Validated WarehouseDataAnalysisPageParam param) {
        return ResponseEntity.ok(warehouseDataAnalysisService.getPageList(param));
    }

    @GetMapping("/getChartList/{orgId}")
    @ApiOperation(value = "仓储数据分析分页列表", notes = "图表数据")
    public ResponseEntity<List<WarehouseDataAnalysisChart>> getChartList(@PathVariable("orgId") Integer orgId) {
        return ResponseEntity.ok(warehouseDataAnalysisService.getChartList(orgId));
    }

}
