package com.chinaitop.depot.intelligent.basicData.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 质量管理-验收质检表
 * </p>
 *
 * @author root
 * @since 2024-05-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_qc_quality_inspection")
@ApiModel(value="BusinessQcQualityInspection对象", description="质量管理-验收质检表")
public class BusinessQcQualityInspection implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "质检报告单号，由检验类别+检验日期（yyyyMMdd）+4位顺序号组成")
    @TableField("zjbgdh")
    private String zjbgdh;

    @ApiModelProperty(value = "库区id；org_info的id；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "检验类别，01：入仓验收；02：出仓检验；03：3 月末普检；04：9 月末普检；05：入仓初检；06：月度检查；07：3 月末库内普查；08：9 月末库内普查；")
    @TableField("jylb")
    private String jylb;

    @ApiModelProperty(value = "basic_storehouse的id；仓房id")
    @TableField("basic_storehouse_id")
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "basic_warehouse的id；货位id;")
    @TableField("warehouse_id")
    private Integer warehouseId;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    @TableField("grain_variety_id")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    @TableField("grain_grade_id")
    private Integer grainGradeId;

    @ApiModelProperty(value = "入库日期，格式：yyyy-MM-dd")
    @TableField("rkrq")
    private Date rkrq;

    @ApiModelProperty(value = "收获年度")
    @TableField("receive_year")
    private String receiveYear;

    @ApiModelProperty(value = "产地")
    @TableField("produce_area")
    private String produceArea;

    @ApiModelProperty(value = "检验时间，格式：yyyy-MM-dd HH:mm:ss")
    @TableField("jysj")
    private Date jysj;

    @ApiModelProperty(value = "检验结果 0：不合格；1：合格；")
    @TableField("check_result")
    private Integer checkResult;

    @ApiModelProperty(value = "检验单位")
    @TableField("jydw")
    private String jydw;

    @ApiModelProperty(value = "检验人，检验人员姓名，若有多个保管员，则用“|”进行分隔")
    @TableField("jyr")
    private String jyr;

    @ApiModelProperty(value = "检验依据，1：国标, 0：其他")
    @TableField("jyyj")
    private String jyyj;

    @ApiModelProperty(value = "指标类别，1: 质量指标检验, 2：储存品质检验, 3：食品安全检验")
    @TableField("zblb")
    private String zblb;

    @ApiModelProperty(value = "食品安全指标是否合格，0：不合格, 1：合格")
    @TableField("spaqzbsfhg")
    private String spaqzbsfhg;

    @ApiModelProperty(value = "签发日期，格式：yyyy-MM-dd")
    @TableField("qfrq")
    private String qfrq;

    @ApiModelProperty(value = "报告出具时间，格式：yyyy-MM-dd HH:mm:ss")
    @TableField("bgcjsj")
    private Date bgcjsj;

    @ApiModelProperty(value = "审核人姓名")
    @TableField("shrxm")
    private String shrxm;

    @ApiModelProperty(value = "是否正常存储年限，0：否, 1：是")
    @TableField("sfzcccnx")
    private String sfzcccnx;

    @ApiModelProperty(value = "指标结果判定，与指标类别对应，例如：达标|综合判定#宜存#合格")
    @TableField("zbjgpd")
    private String zbjgpd;

    @ApiModelProperty(value = "抽样日期；扦样时间，格式：yyyy-MM-dd HH:mm:ss")
    @TableField("qysj")
    private Date qysj;

    @ApiModelProperty(value = "抽样单编号；扦样单编号；")
    @TableField("qydbh")
    private String qydbh;

    @ApiModelProperty(value = "抽样人员；扦样人姓名")
    @TableField("qyrxm")
    private String qyrxm;

    @ApiModelProperty(value = "扦样区域")
    @TableField("qyqy")
    private String qyqy;

    @ApiModelProperty(value = "监督人姓名")
    @TableField("jdrxm")
    private String jdrxm;

    @ApiModelProperty(value = "样品编号")
    @TableField("ypbh")
    private String ypbh;

    @ApiModelProperty(value = "样品数量，单位：公斤")
    @TableField("ypsl")
    private BigDecimal ypsl;

    @ApiModelProperty(value = "代表数量，单位：公斤")
    @TableField("dbsl")
    private BigDecimal dbsl;

    @ApiModelProperty(value = "样品等级，参考LS/T 1713-2015 库存粮食识别代码 表3")
    @TableField("ypdj")
    private String ypdj;

    @ApiModelProperty(value = "样品状态")
    @TableField("sample_status")
    private String sampleStatus;

    @ApiModelProperty(value = "样品包装型号")
    @TableField("sample_package_model")
    private String samplePackageModel;

    @ApiModelProperty(value = "备注")
    @TableField("bz")
    private String bz;


}
