package com.chinaitop.depot.intelligent.basicData.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组织机构信息表
 * </p>
 *
 * @author root
 * @since 2024-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("org_info")
@ApiModel(value="OrgInfo对象", description="组织机构信息表")
public class OrgInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "组织编号")
    @TableId("org_id")
    private String orgId;

    @ApiModelProperty(value = "组织名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "组织简称")
    @TableField("short_name")
    private String shortName;

    @ApiModelProperty(value = "组织代码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "组织类别")
    @TableField("org_class_id")
    private String orgClassId;

    @ApiModelProperty(value = "企业性质")
    @TableField("company_nature")
    private String companyNature;

    @ApiModelProperty(value = "业务类型")
    @TableField("busi_type")
    private String busiType;

    @ApiModelProperty(value = "地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "电话")
    @TableField("contact")
    private String contact;

    @ApiModelProperty(value = "库点传真")
    @TableField("fax")
    private String fax;

    @ApiModelProperty(value = "负责人")
    @TableField("charge_person")
    private String chargePerson;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private String latitude;

    @ApiModelProperty(value = "注册资本")
    @TableField("regist_capital")
    private Integer registCapital;

    @ApiModelProperty(value = "在岗人数")
    @TableField("work_number")
    private Integer workNumber;

    @ApiModelProperty(value = "行政区划代码")
    @TableField("area_code")
    private Integer areaCode;

    @ApiModelProperty(value = "行政区划名称")
    @TableField("area_name")
    private String areaName;

    @ApiModelProperty(value = "邮政编码")
    @TableField("post")
    private Integer post;

    @ApiModelProperty(value = "库点类别")
    @TableField("depot_class")
    private Integer depotClass;

    @ApiModelProperty(value = "设计仓容")
    @TableField("design_capacity")
    private BigDecimal designCapacity;

    @ApiModelProperty(value = "有效仓容")
    @TableField("effective_capacity")
    private BigDecimal effectiveCapacity;

    @ApiModelProperty(value = "库点面积")
    @TableField("depot_area")
    private BigDecimal depotArea;

    @ApiModelProperty(value = "建成日期")
    @TableField("complete_date")
    private Date completeDate;

    @ApiModelProperty(value = "启用日期")
    @TableField("use_date")
    private Date useDate;

    @ApiModelProperty(value = "组织机构代码")
    @TableField("company_org_code")
    private String companyOrgCode;

    @ApiModelProperty(value = "社会信用代码")
    @TableField("credit_code")
    private String creditCode;

    @ApiModelProperty(value = "企业登记注册类型")
    @TableField("regist_type")
    private String registType;

    @ApiModelProperty(value = "是否具有独立法人资格")
    @TableField("qualification")
    private Integer qualification;

    @TableField("independent_corporation")
    private Integer independentCorporation;

    @ApiModelProperty(value = "法人")
    @TableField("legal_person")
    private String legalPerson;

    @ApiModelProperty(value = "是否租库")
    @TableField("whether_rent")
    private Integer whetherRent;

    @ApiModelProperty(value = "信息登记人")
    @TableField("info_regist")
    private String infoRegist;

    @ApiModelProperty(value = "注册日期")
    @TableField("regist_date")
    private Date registDate;

    @ApiModelProperty(value = "注释信息")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "父编号")
    @TableField("parent_id")
    private String parentId;

    @ApiModelProperty(value = "状态")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "删除标记")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "首页的鸟瞰图，2.5D图")
    @TableField("birds_eye")
    private String birdsEye;

    @ApiModelProperty(value = "远程监管的鸟瞰图，2.5D图")
    @TableField("birds_Remote")
    private String birdsRemote;

    @ApiModelProperty(value = "简介")
    @TableField("brief_introduction")
    private String briefIntroduction;

    @ApiModelProperty(value = "开票信息（发票抬头）")
    @TableField("invoice_title")
    private String invoiceTitle;

    @ApiModelProperty(value = "工商登记编号")
    @TableField("regist_number")
    private String registNumber;

    @ApiModelProperty(value = "开户行名称")
    @TableField("bank_name")
    private String bankName;

    @ApiModelProperty(value = "银行账户名称")
    @TableField("account_name")
    private String accountName;

    @ApiModelProperty(value = "开户账号")
    @TableField("account_number")
    private String accountNumber;

    @ApiModelProperty(value = "资产总额")
    @TableField("total_assets")
    private Integer totalAssets;

    @ApiModelProperty(value = "法人身份证号")
    @TableField("corporate_capacity")
    private String corporateCapacity;

    @ApiModelProperty(value = "办公电话")
    @TableField("office_phone")
    private String officePhone;

    @ApiModelProperty(value = "注册地址")
    @TableField("registered_address")
    private String registeredAddress;

    @ApiModelProperty(value = "电子邮箱")
    @TableField("mail_box")
    private String mailBox;

    @ApiModelProperty(value = "企业官方网站地址")
    @TableField("official_website")
    private String officialWebsite;

    @ApiModelProperty(value = "仓房数")
    @TableField("house_number")
    private Integer houseNumber;

    @ApiModelProperty(value = "油罐数")
    @TableField("tank_number")
    private Integer tankNumber;

    @ApiModelProperty(value = "库区产权")
    @TableField("depot_property")
    private String depotProperty;

    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "级次")
    @TableField("level_code")
    private String levelCode;

    @ApiModelProperty(value = "市局对应机构编码")
    @TableField("cityCouncil_code")
    private String citycouncilCode;

    @ApiModelProperty(value = "库区数")
    @TableField("kq_number")
    private Integer kqNumber;

    @ApiModelProperty(value = "注册地址-省")
    @TableField("zc_province")
    private Integer zcProvince;

    @ApiModelProperty(value = "注册地址-市")
    @TableField("zc_city")
    private Integer zcCity;

    @ApiModelProperty(value = "注册地址-县")
    @TableField("zc_county")
    private Integer zcCounty;

    @ApiModelProperty(value = "法人联系方式")
    @TableField("frlxfs")
    private String frlxfs;

    @ApiModelProperty(value = "有效罐容")
    @TableField("yxgr")
    private Double yxgr;

    @ApiModelProperty(value = "库区编码")
    @TableField("kqbm")
    private String kqbm;

    @ApiModelProperty(value = "是否主库")
    @TableField("sfzk")
    private String sfzk;

    @ApiModelProperty(value = "province_all.biz_unit_info的id；单位信息")
    @TableField("unit_info_id")
    private String unitInfoId;

    @ApiModelProperty(value = "统一库区编码")
    @TableField("tykqbm")
    private String tykqbm;


}
