package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 质量检查信息表
 * </p>
 *
 * @author root
 * @since 2024-05-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("storage_qualitycheck")
@ApiModel(value="StorageQualitycheck对象", description="质量检查信息表")
public class StorageQualitycheck implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "质量检查信息表")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "代储点用到的代储库id，没有值则不是代储库")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "仓房的id")
    @TableField("house_id")
    private Integer houseId;

    @ApiModelProperty(value = "货位号id")
    @TableField("warehouse_id")
    private Integer warehouseId;

    @ApiModelProperty(value = "质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查")
    @TableField("type_update")
    private String typeUpdate;

    @ApiModelProperty(value = "品种")
    @TableField("sub_type")
    private Integer subType;

    @ApiModelProperty(value = "详细的品种")
    @TableField("sub_type_detailed")
    private Integer subTypeDetailed;

    @ApiModelProperty(value = "检验日期")
    @TableField("check_time")
    private Date checkTime;

    @ApiModelProperty(value = "检验结果0:合格  1：不合格")
    @TableField("check_result")
    private String checkResult;

    @ApiModelProperty(value = "检验人")
    @TableField("checker")
    private String checker;

    @ApiModelProperty(value = "等级")
    @TableField("level_update")
    private Integer levelUpdate;

    @ApiModelProperty(value = "容量")
    @TableField("capacity")
    private String capacity;

    @ApiModelProperty(value = "水分")
    @TableField("water")
    private String water;

    @ApiModelProperty(value = "杂质")
    @TableField("impurity")
    private String impurity;

    @ApiModelProperty(value = "矿物质")
    @TableField("mineral")
    private String mineral;

    @ApiModelProperty(value = "不完善颗粒(未熟粒、破碎粒)")
    @TableField("badpart")
    private String badpart;

    @ApiModelProperty(value = "色泽气味")
    @TableField("colorsmell")
    private String colorsmell;

    @ApiModelProperty(value = "保管员整改建议")
    @TableField("keeper_advices")
    private String keeperAdvices;

    @ApiModelProperty(value = "保管员整改时间")
    @TableField("keeper_advices_time")
    private String keeperAdvicesTime;

    @ApiModelProperty(value = "保管员签字")
    @TableField("keeper_advices_paint")
    private String keeperAdvicesPaint;

    @ApiModelProperty(value = "仓储科长建议")
    @TableField("chief_advices")
    private String chiefAdvices;

    @ApiModelProperty(value = "仓储科长时间")
    @TableField("chief_advices_time")
    private Date chiefAdvicesTime;

    @ApiModelProperty(value = "仓储科长签字")
    @TableField("chiet_advices_paint")
    private String chietAdvicesPaint;

    @ApiModelProperty(value = "主管副主任建议")
    @TableField("vice_manager_advices")
    private String viceManagerAdvices;

    @ApiModelProperty(value = "主管副主任时间")
    @TableField("vice_manager_advices_time")
    private Date viceManagerAdvicesTime;

    @ApiModelProperty(value = "主管副主任签字")
    @TableField("vice_manager_advices_paint")
    private String viceManagerAdvicesPaint;

    @ApiModelProperty(value = "主任意见建议")
    @TableField("manager_advices")
    private String managerAdvices;

    @ApiModelProperty(value = "主任时间")
    @TableField("manager_advices_time")
    private Date managerAdvicesTime;

    @ApiModelProperty(value = "主任签字")
    @TableField("manager_advices_paint")
    private String managerAdvicesPaint;

    @ApiModelProperty(value = "整改结果")
    @TableField("improve_result")
    private String improveResult;

    @ApiModelProperty(value = "整改时间")
    @TableField("improve_time")
    private Date improveTime;

    @ApiModelProperty(value = "整改签字")
    @TableField("improve_paint")
    private String improvePaint;

    @ApiModelProperty(value = "是否相符 0:是  1:不是")
    @TableField("is_firstchecklevel_right")
    private String isFirstchecklevelRight;

    @ApiModelProperty(value = "检验单位")
    @TableField("accept_unite")
    private String acceptUnite;

    @ApiModelProperty(value = "入库时间")
    @TableField("input_time")
    private Date inputTime;

    @ApiModelProperty(value = "数量")
    @TableField("number_update")
    private String numberUpdate;

    @ApiModelProperty(value = "产地")
    @TableField("location")
    private Integer location;

    @ApiModelProperty(value = "保管员")
    @TableField("keeper")
    private String keeper;

    @ApiModelProperty(value = "收货年度")
    @TableField("harvest_time")
    private Integer harvestTime;

    @ApiModelProperty(value = "完整粒度")
    @TableField("goodpart")
    private String goodpart;

    @ApiModelProperty(value = "扦样人")
    @TableField("chooser")
    private String chooser;

    @ApiModelProperty(value = "扦样机构")
    @TableField("choose_organ")
    private String chooseOrgan;

    @ApiModelProperty(value = "扦样日期")
    @TableField("choose_time")
    private Date chooseTime;

    @ApiModelProperty(value = "粗脂肪酸数值")
    @TableField("boldfat_index")
    private String boldfatIndex;

    @ApiModelProperty(value = "检验类型")
    @TableField("check_type")
    private String checkType;

    @ApiModelProperty(value = "热损伤")
    @TableField("hot_damage")
    private String hotDamage;

    @ApiModelProperty(value = "蛋白质溶解比率")
    @TableField("protein_solution_ratio")
    private String proteinSolutionRatio;

    @ApiModelProperty(value = "品尝评分值:")
    @TableField("eat_score")
    private String eatScore;

    @ApiModelProperty(value = "脂肪酸值:")
    @TableField("fat_index")
    private String fatIndex;

    @ApiModelProperty(value = "出糙率:")
    @TableField("husked_ration")
    private String huskedRation;

    @ApiModelProperty(value = "整精米率:")
    @TableField("full_good_ration")
    private String fullGoodRation;

    @ApiModelProperty(value = "黄粒米:")
    @TableField("yellow_part")
    private String yellowPart;

    @ApiModelProperty(value = "谷外糙米")
    @TableField("out_husked_ration")
    private String outHuskedRation;

    @ApiModelProperty(value = "虫害")
    @TableField("pests")
    private String pests;

    @ApiModelProperty(value = "色率")
    @TableField("color_ratio")
    private String colorRatio;

    @ApiModelProperty(value = "硬度指数")
    @TableField("hard_index")
    private String hardIndex;

    @ApiModelProperty(value = "面筋吸水量")
    @TableField("gluten_water_count")
    private String glutenWaterCount;

    @ApiModelProperty(value = "备注")
    @TableField("remarks")
    private String remarks;

    @ApiModelProperty(value = "批准人")
    @TableField("approver")
    private String approver;

    @ApiModelProperty(value = "生霉粒")
    @TableField("mildew_count")
    private String mildewCount;

    @ApiModelProperty(value = "损伤粒率")
    @TableField("damage_ratio")
    private String damageRatio;

    @ApiModelProperty(value = "热损伤粒率")
    @TableField("hot_damage_ratio")
    private String hotDamageRatio;

    @ApiModelProperty(value = "糙米重")
    @TableField("husked_rice_weight")
    private String huskedRiceWeight;

    @ApiModelProperty(value = "审核人")
    @TableField("reviewer")
    private String reviewer;

    @ApiModelProperty(value = "申请验收日期")
    @TableField("apply_check_time")
    private Date applyCheckTime;

    @ApiModelProperty(value = "春秋普查类型:0:春 1：秋")
    @TableField("check_time_type")
    private String checkTimeType;

    @ApiModelProperty(value = "检验报告出具日期")
    @TableField("check_result_time")
    private Date checkResultTime;

    @ApiModelProperty(value = "储存品质 0：宜存 1：不宜存")
    @TableField("store_quality")
    private String storeQuality;

    @ApiModelProperty(value = "是否虫粮0:是 1:否")
    @TableField("is_pest")
    private String isPest;

    @ApiModelProperty(value = "检验标准依据")
    @TableField("inspection_standard_basis")
    private String inspectionStandardBasis;

    @ApiModelProperty(value = "储粮性质")
    @TableField("quality")
    private String quality;

    @ApiModelProperty(value = "封仓日期")
    @TableField("seal_date")
    private Date sealDate;

    @ApiModelProperty(value = "封仓状态：0:未封仓,1:已封仓")
    @TableField("seal_status")
    private String sealStatus;

    @ApiModelProperty(value = "库存识别码")
    @TableField("auth_code")
    private String authCode;

    @ApiModelProperty(value = "组织结构id")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "0:最新数据   1:历史数据")
    @TableField("history_status")
    private Integer historyStatus;

    @ApiModelProperty(value = "互混率(%)")
    @TableField("intermixing_rate")
    private String intermixingRate;

    @ApiModelProperty(value = "气味、滋味")
    @TableField("smelltaste")
    private String smelltaste;

    @ApiModelProperty(value = "透明度")
    @TableField("transparency")
    private String transparency;

    @ApiModelProperty(value = "过氧化值(mmol/kg)")
    @TableField("peroxide_value")
    private String peroxideValue;

    @ApiModelProperty(value = "烟点℃")
    @TableField("smoke_point")
    private String smokePoint;

    @ApiModelProperty(value = "冷冻实验(0℃储藏5.5h)")
    @TableField("reeze_test")
    private String reezeTest;

    @ApiModelProperty(value = "溶剂残留量(mg/kg)")
    @TableField("residual_solvent")
    private String residualSolvent;

    @ApiModelProperty(value = "铅(Pb)")
    @TableField("`lead`")
    private String lead;

    @ApiModelProperty(value = "总砷(以As计)(mg/kg)")
    @TableField("total_arsenic")
    private String totalArsenic;

    @ApiModelProperty(value = "黄曲霉毒素(ug/kg)")
    @TableField("aflatoxin")
    private String aflatoxin;

    @ApiModelProperty(value = "粮情卡id")
    @TableField("quailtycard_id")
    private String quailtycardId;

    @ApiModelProperty(value = "特丁基对二苯酚(g/kg)")
    @TableField("butyl_phenol")
    private String butylPhenol;

    @ApiModelProperty(value = "保存:1,提交:2")
    @TableField("flag_type")
    private Integer flagType;

    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "指标类别")
    @TableField("zblb")
    private String zblb;

    @ApiModelProperty(value = "扦样单编号")
    @TableField("qydbh")
    private String qydbh;

    @ApiModelProperty(value = "扦样区域")
    @TableField("qyqy")
    private String qyqy;

    @ApiModelProperty(value = "监督人姓名")
    @TableField("jdrxm")
    private String jdrxm;

    @ApiModelProperty(value = "样品编号")
    @TableField("ypbh")
    private String ypbh;

    @ApiModelProperty(value = "是否正常存储年限")
    @TableField("sfzcccnx")
    private String sfzcccnx;

    @ApiModelProperty(value = "扦样时间")
    @TableField("jylb")
    private String jylb;

    @TableField("qfrq")
    private Date qfrq;

    @TableField("ypsl")
    private String ypsl;

    @TableField("dbsl")
    private String dbsl;

    @TableField("ypdj")
    private String ypdj;

    @ApiModelProperty(value = "附件路径")
    @TableField("file_route")
    private String fileRoute;

    @ApiModelProperty(value = "入库时间(最后一车)")
    @TableField("zhycsj")
    private Date zhycsj;

    @ApiModelProperty(value = "1扦样化验待处理 2化验已处理")
    @TableField("process_state")
    private Integer processState;


}
