package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 虫害设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_ccinfo")
@ApiModel(value="TCcinfo对象", description="虫害设备配置")
public class TCcinfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "测虫设备数据id 32位")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "站点编号")
    @TableField("sitecode")
    private String sitecode;

    @ApiModelProperty(value = "设备编码")
    @TableField("vdevcode")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @TableField("vdevname")
    private String vdevname;

    @ApiModelProperty(value = "起始通道")
    @TableField("startchannel")
    private Integer startchannel;

    @ApiModelProperty(value = "结束通道")
    @TableField("endtchannel")
    private Integer endtchannel;

    @ApiModelProperty(value = "仓房编码")
    @TableField("vcfcode")
    private String vcfcode;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "更新时间")
    @TableField("updatetime")
    private Date updatetime;


}
