package com.chinaitop.depot.intelligent.basicData.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 气调设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_ntinfo")
@ApiModel(value="TNtinfo对象", description="气调设备配置")
public class TNtinfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "气调信息id 32位")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "设备编码")
    @TableField("vdevcode")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @TableField("vdevname")
    private String vdevname;

    @ApiModelProperty(value = "通道号")
    @TableField("idevtdh")
    private Integer idevtdh;

    @ApiModelProperty(value = "站点编码")
    @TableField("sitecode")
    private String sitecode;

    @ApiModelProperty(value = "仓房编码")
    @TableField("vcfcode")
    private String vcfcode;

    @ApiModelProperty(value = "电磁阀1")
    @TableField("value1")
    private Integer value1;

    @ApiModelProperty(value = "电磁阀2")
    @TableField("value2")
    private Integer value2;

    @ApiModelProperty(value = "电磁阀3")
    @TableField("value3")
    private Integer value3;

    @ApiModelProperty(value = "氮气浓度1")
    @TableField("n2value1")
    private BigDecimal n2value1;

    @ApiModelProperty(value = "氮气浓度2")
    @TableField("n2value2")
    private BigDecimal n2value2;

    @ApiModelProperty(value = "氮气浓度3")
    @TableField("n2value3")
    private BigDecimal n2value3;

    @ApiModelProperty(value = "氮气浓度4")
    @TableField("n2value4")
    private BigDecimal n2value4;

    @ApiModelProperty(value = "氮气浓度5")
    @TableField("n2value5")
    private BigDecimal n2value5;

    @ApiModelProperty(value = "设备状态 0:正常；1：异常")
    @TableField("valarmstatue")
    private Integer valarmstatue;

    @ApiModelProperty(value = "风机状态 0关闭，1打开，2反正，3停止")
    @TableField("vstatue")
    private Integer vstatue;

    @ApiModelProperty(value = "更新时间")
    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    @TableField("del_flag")
    private Integer delFlag;


}
