package com.chinaitop.depot.intelligent.basicData.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 通信设置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_station")
@ApiModel(value="TStation对象", description="通信设置")
public class TStation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位唯一 站点数据")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "站点名")
    @TableField("sitename")
    private String sitename;

    @ApiModelProperty(value = "站点编号")
    @TableField("sitecode")
    private String sitecode;

    @ApiModelProperty(value = "分机地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "品牌")
    @TableField("brand")
    private String brand;

    @ApiModelProperty(value = "型号")
    @TableField("model")
    private String model;

    @ApiModelProperty(value = "通讯类型 网络通讯、串口通讯、OPC通讯")
    @TableField("signaltype")
    private String signaltype;

    @ApiModelProperty(value = "服务地址")
    @TableField("serviceip")
    private String serviceip;

    @ApiModelProperty(value = "端口号")
    @TableField("serviceport")
    private Integer serviceport;

    @ApiModelProperty(value = "串口号")
    @TableField("stringslogan")
    private Integer stringslogan;

    @ApiModelProperty(value = "波特率")
    @TableField("porterrate")
    private String porterrate;

    @ApiModelProperty(value = "数据位")
    @TableField("databit")
    private String databit;

    @ApiModelProperty(value = "校验位")
    @TableField("checkbit")
    private String checkbit;

    @ApiModelProperty(value = "本地/远程 0:本地；1：远程")
    @TableField("islocal")
    private Integer islocal;

    @ApiModelProperty(value = "是否在线 0:离线；1：在线")
    @TableField("isline")
    private Integer isline;

    @ApiModelProperty(value = "更新时间")
    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "仓房编码")
    @TableField("v_cf_code")
    private String vCfCode;

    @ApiModelProperty(value = "站点类型")
    @TableField("v_zd_type")
    private String vZdType;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    @TableField("del_flag")
    private Integer delFlag;


}
