package com.chinaitop.depot.intelligent.basicData.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 熏蒸备案
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class StorehouseAndLqVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "仓房编码")
    private String storehouseCode;

    @ApiModelProperty(value = "仓房名称")
    private String storehouseName;

    @ApiModelProperty(value = "仓房类型")
    private Integer storehouseType;

    @ApiModelProperty(value = "货位编码")
    private String warehouseCode;

    @ApiModelProperty(value = "粮食品种")
    private Integer subType;

    @ApiModelProperty(value = "数量")
    private String numberUpdate;

    @ApiModelProperty(value = "水分(%)")
    private String water;

    @ApiModelProperty(value = "杂质(%)")
    private String impurity;

    @ApiModelProperty(value = "入仓时间")
    private Date inputTime;

    @ApiModelProperty(value = "仓温(℃)")
    private BigDecimal inTemp;

    @ApiModelProperty(value = "仓湿(%)")
    private BigDecimal inH;

    @ApiModelProperty(value = "平均粮温(℃)")
    private BigDecimal tAvg;

}
