package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 熏蒸备案
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TFumigationRecordParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位主键id")
    private String id;

    @ApiModelProperty(value = "熏蒸备案单号")
    private String orderNumber;

    @ApiModelProperty(value = "熏蒸作业库区编码")
    private String orgId;

    @ApiModelProperty(value = "熏蒸作业库区名称")
    @NotBlank(message = "熏蒸作业库区名称不能为空")
    private String orgName;

    @ApiModelProperty(value = "详细地址")
    @NotBlank(message = "详细地址不能为空")
    private String detailAddress;

    @ApiModelProperty(value = "仓房编码")
    private String storehouseCode;

    @ApiModelProperty(value = "仓房名称")
    @NotBlank(message = "仓房名称不能为空")
    private String storehouseName;

    @ApiModelProperty(value = "仓房类型")
    @NotNull(message = "仓房类型不能为空")
    private Integer storehouseType;

    @ApiModelProperty(value = "货位编码")
    private String warehouseCode;

    @ApiModelProperty(value = "货位名称")
    @NotBlank(message = "货位名称不能为空")
    private String warehouseName;

    @ApiModelProperty(value = "仓房总体积(m³)")
    @NotNull(message = "仓房总体积不能为空")
    private BigDecimal outerWallArea;

    @ApiModelProperty(value = "气密性")
    @NotNull(message = "气密性不能为空")
    private Integer qmx;

    @ApiModelProperty(value = "空间体积(m³)")
    private BigDecimal binVolume;

    @ApiModelProperty(value = "是否配套环流熏蒸设备(0:否,1:是)")
    private Integer isDev;

    @ApiModelProperty(value = "粮食品种")
    @NotNull(message = "粮食品种不能为空")
    private Integer subType;

    @ApiModelProperty(value = "数量")
    @NotBlank(message = "数量不能为空")
    private String numberUpdate;

    @ApiModelProperty(value = "水分(%)")
    @NotBlank(message = "水分不能为空")
    private String water;

    @ApiModelProperty(value = "杂质(%)")
    @NotBlank(message = "杂质不能为空")
    private String impurity;

    @ApiModelProperty(value = "入仓时间")
    @NotNull(message = "入仓时间不能为空")
    private Date inputTime;

    @ApiModelProperty(value = "仓温(℃)")
    @NotNull(message = "仓温不能为空")
    private BigDecimal inTemp;

    @ApiModelProperty(value = "仓湿(%)")
    @NotNull(message = "仓湿不能为空")
    private BigDecimal inH;

    @ApiModelProperty(value = "平均粮温(℃)")
    @NotNull(message = "平均粮温不能为空")
    private BigDecimal tAvg;

    @ApiModelProperty(value = "害虫密度（头/kg)")
    @NotNull(message = "害虫密度不能为空")
    private Integer hcmd;

    @ApiModelProperty(value = "分虫种数")
    @NotBlank(message = "分虫种数不能为空")
    private String fczs;

    @ApiModelProperty(value = "发生部位")
    private String fsbw;

    @ApiModelProperty(value = "虫粮等级")
    private String cldj;

    @ApiModelProperty(value = "药品名称")
    @NotBlank(message = "药剂名称不能为空")
    private String drugName;

    @ApiModelProperty(value = "最高粮温(℃)")
    private String tMax;

    @ApiModelProperty(value = "粮堆单位用药剂量(g/m)")
    private String dlyyjl;

    @ApiModelProperty(value = "空间单位用药剂量( g/m³)")
    private String kjyyjl;

    @ApiModelProperty(value = "总用药量(kg)")
    @NotBlank(message = "总用药量不能为空")
    private String zyyl;

    @ApiModelProperty(value = "施药方法")
    @NotBlank(message = "施药方法不能为空")
    private String syff;

    @ApiModelProperty(value = "散气时间")
    @NotNull(message = "散气时间不能为空")
    private Date sqsj;

    @ApiModelProperty(value = "密闭时间")
    @NotNull(message = "密闭时间不能为空")
    private Date mbsj;

    @ApiModelProperty(value = "密闭方式")
   @NotBlank(message = "密闭方式不能为空")
    private String mbfs;

    @ApiModelProperty(value = "熏蒸作业方式")
    private String xzzyfs;

    @ApiModelProperty(value = "药剂来源")
    @NotBlank(message = "药剂来源不能为空")
    private String yjly;

    @ApiModelProperty(value = "作业人员")
    @NotBlank(message = "作业人员不能为空")
    private String zyrr;

    @ApiModelProperty(value = "计划熏蒸日期")
    @NotNull(message = "计划熏蒸日期不能为空")
    private Date jhxzrq;

    @ApiModelProperty(value = "有效期(天)")
    @NotNull(message = "有效期不能为空")
    private Integer yxq;

    @ApiModelProperty(value = "警戒线距离")
    @NotNull(message = "警戒线距离不能为空")
    private Integer jjxjl;

    @ApiModelProperty(value = "药剂残渣说明")
    private String yjczsm;

    @ApiModelProperty(value = "粮油仓储单位意见")
   @NotBlank(message = "粮油仓储单位意见不能为空")
    private String lyccdwyj;

    @ApiModelProperty(value = "单位负责人")
   @NotBlank(message = "单位负责人不能为空")
    private String dwfzr;

    @ApiModelProperty(value = "日期(粮油仓储单位意见)")
    //@NotNull(message = "日期(粮油仓储单位意见)不能为空")
    private Date ccdwrq;

    @ApiModelProperty(value = "备案机关意见")
    @NotBlank(message = "备案机关意见不能为空")
    private String bajgyj;

    @ApiModelProperty(value = "经办人")
    @NotBlank(message = "经办人不能为空")
    private String jbr;

    @ApiModelProperty(value = "日期(备案机关意见)")
    @NotNull(message = "日期(备案机关意见)不能为空")
    private Date jgrq;

    @ApiModelProperty(value = "状态(0:保存,1:待审批(提交),2:审批通过3:驳回)")
    @NotNull(message = "状态不能为空")
    private Integer statusType;

    @ApiModelProperty(value = "粮堆体积(m³)")
    @NotNull(message = "粮堆体积不能为空")
    private BigDecimal ldtj;

    @ApiModelProperty(value = "仓房容量")
    @NotNull(message = "仓房容量不能为空")
    private BigDecimal cfrl;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
