package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 数量监测设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TJctableParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数量检测id 32位唯一值")
    private String id;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

    @ApiModelProperty(value = "数量检测名称")
    private String vJcName;

    @ApiModelProperty(value = "数量检测编码")
    private String vJcCode;

    @ApiModelProperty(value = "数量检测WS接口地址")
    private String vWsSrc;

    @ApiModelProperty(value = "视频IP")
    private String vVedioIp;

    @ApiModelProperty(value = "视频端口")
    private Integer iVedioPort;

    @ApiModelProperty(value = "视频用户名")
    private String vVedioUser;

    @ApiModelProperty(value = "视频密码")
    private String vVedioPwd;

    @ApiModelProperty(value = "视频通道号")
    private Integer vVedioTdh;

    @ApiModelProperty(value = "仓房编码")
    @NotBlank(message = "仓房编码不能为空")
    private String vCfCode;

    @ApiModelProperty(value = "设备品牌")
    private String vJcpp;

    @ApiModelProperty(value = "创建人")
    private String updatePerson;

   /* @ApiModelProperty(value = "创建时间")
    private Date updateTime;*/

    @ApiModelProperty(value = "数据来源")
    private String dataSource;

    @ApiModelProperty(value = "描述信息")
    private String vRemark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    private Integer delFlag;

    @ApiModelProperty(value = "创建时间")
    private Date updatetime;

    @ApiModelProperty(value = "检测设备编码")
    private String vDevCode;
}
