package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 控温设备配置(空调)
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TKtinfoParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "空调信息id 32位")
    private String id;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

    @ApiModelProperty(value = "设备编码")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    @NotBlank(message = "设备名称不能为空")
    private String vdevname;

    @ApiModelProperty(value = "通道号")
    private Integer idevtdh;

    @ApiModelProperty(value = "站点编码")
    private String sitecode;

    @ApiModelProperty(value = "仓房编码")
    @NotBlank(message = "仓房编号不能为空")
    private String vcfcode;

    @ApiModelProperty(value = "仓房名称")
    private String vcfname;

    @ApiModelProperty(value = "当前温度")
    private BigDecimal currenttemp;

    @ApiModelProperty(value = "当前模式")
    private Integer currentmode;

    @ApiModelProperty(value = "当前风速")
    private BigDecimal currentspeed;

    @ApiModelProperty(value = "室温")
    private BigDecimal intemp;

    @ApiModelProperty(value = "设备状态 0:正常；1：异常")
    private Integer valarmstatue;

    @ApiModelProperty(value = "操作状态 0关闭，1打开，2反正，3停止")
    private Integer vstatue;

    @ApiModelProperty(value = "更新时间")
    private Date updatetime;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    private Integer delFlag;


    @ApiModelProperty(value = "堆内温度(>℃开启空调)")
    private BigDecimal dnwd;

    @ApiModelProperty(value = "层温差(>℃开启空调)")
    private BigDecimal cwc;
}
