package com.chinaitop.depot.intelligent.basicData.param;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 粮情设备配置
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Data
public class TLqinfoParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "粮情油情信息id 32位")
    private String id;

    @ApiModelProperty(value = "机构编码")
    private String orgId;

    @ApiModelProperty(value = "设备编码")
    private String vdevcode;

    @ApiModelProperty(value = "设备名称")
    private String vdevname;

    @ApiModelProperty(value = "通道号")
    @NotNull(message = "通道号不能为空")
    private Integer idevtdh;

    @ApiModelProperty(value = "站点编码")
    @NotBlank(message = "站点编码不能为空")
    private String sitecode;

    @ApiModelProperty(value = "仓房编码")
    @NotBlank(message = "仓房编码不能为空")
    private String vcfcode;

    @ApiModelProperty(value = "起始电缆号")
    @NotNull(message = "起始电缆号不能为空")
    private Integer scable;

    @ApiModelProperty(value = "结束电缆号")
    @NotNull(message = "结束电缆号不能为空")
    private Integer ecable;

    @ApiModelProperty(value = "行")
    @NotNull(message = "行不能为空")
    private Integer tRow;

    @ApiModelProperty(value = "列")
    @NotNull(message = "列不能为空")
    private Integer col;

    @ApiModelProperty(value = "层")
    @NotNull(message = "层数不能为空")
    private Integer layer;

    @ApiModelProperty(value = "方位 0:从上到下，从左到右；1：从上到下，从右到左；2：从下到上，从左到右；3：从下到上，从右到左")
    private Integer isequence;

    @ApiModelProperty(value = "是否反置 0:不反;1:反")
    private Integer irevflag;

    @ApiModelProperty(value = "粮情/油情 0:粮情;1:油情")
    private Integer grainoil;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "删除标志（0：删除，1：未删除）")
    private Integer delFlag;

    @ApiModelProperty(value = "冗余字段")
    private Date updatetime;

    @ApiModelProperty(value = "粮情名称")
    private String lqmc;

    @ApiModelProperty(value = "机构名称")
    private String orgName;
}
