package com.chinaitop.depot.intelligent.basicData.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.basicData.mapper.TCcinfoMapper;
import com.chinaitop.depot.intelligent.basicData.model.TCcinfo;
import com.chinaitop.depot.intelligent.basicData.model.TQtdevinfo;
import com.chinaitop.depot.intelligent.basicData.param.TCcinfoParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.service.TCcinfoService;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 虫害设备配置 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Service
public class TCcinfoServiceImpl extends ServiceImpl<TCcinfoMapper, TCcinfo> implements TCcinfoService {

    @Autowired
    private TCcinfoMapper tCcinfoMapper;
    @Override
    public Page<TCcinfo> getList(TLqinfoPageParam pageParam) {

        Page<TCcinfo> page = new Page<>(pageParam.getPageNum(), pageParam.getPageSize());
        LambdaQueryWrapper<TCcinfo> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(TCcinfo::getOrgId,pageParam.getOrgId());
        if (StringUtils.isNotEmpty(pageParam.getVcfcode())) {
            wrapper.eq(TCcinfo::getVcfcode, pageParam.getVcfcode());
        }
        return tCcinfoMapper.selectPage(page, wrapper);
    }

    @Override
    public int saveData(TCcinfoParam param) {

        TCcinfo tCcinfo = new TCcinfo();
        BeanUtils.copyProperties(param,tCcinfo);
        tCcinfo.setId(UuidUtils.getCode());
        return tCcinfoMapper.insert(tCcinfo);
    }

    @Override
    public int updateData(TCcinfoParam param) {
        TCcinfo tCcinfo = new TCcinfo();
        BeanUtils.copyProperties(param,tCcinfo);

        return tCcinfoMapper.updateById(tCcinfo);
    }

    @Override
    public int deleteData(String id) {
        return tCcinfoMapper.deleteById(id);
    }
}
