package com.chinaitop.depot.intelligent.basicData.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.basicData.mapper.TFumigationCirculationMapper;

import com.chinaitop.depot.intelligent.basicData.model.TFumigationCirculation;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationCirculationPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TFumigationCirculationParam;
import com.chinaitop.depot.intelligent.basicData.service.TFumigationCirculationService;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 环流熏蒸设备配置 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-09
 */
@Service
public class TFumigationCirculationServiceImpl extends ServiceImpl<TFumigationCirculationMapper, TFumigationCirculation> implements TFumigationCirculationService {

    @Autowired
    private TFumigationCirculationMapper tFumigationCirculationMapper;

    @Override
    public Page<TFumigationCirculation> getList(TFumigationCirculationPageParam pageParam) {
        Page<TFumigationCirculation> page = new Page<>(pageParam.getPageNum(), pageParam.getPageSize());
        LambdaQueryWrapper<TFumigationCirculation> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(TFumigationCirculation::getOrgId,pageParam.getOrgId());
        if (StringUtils.isNotEmpty(pageParam.getVdevname())) {
            wrapper.like(TFumigationCirculation::getVdevname, pageParam.getVdevname());
        }
        if (StringUtils.isNotEmpty(pageParam.getOrgName())) {
            wrapper.like(TFumigationCirculation::getOrgName, pageParam.getOrgName());
        }
        return tFumigationCirculationMapper.selectPage(page, wrapper);

    }

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 环流熏蒸设备新增
     */
    @Override
    public int saveData(TFumigationCirculationParam circulationParam) {

        TFumigationCirculation tFumigationCirculation = new TFumigationCirculation();
        BeanUtils.copyProperties(circulationParam, tFumigationCirculation);
        tFumigationCirculation.setId(UuidUtils.getCode());
        return tFumigationCirculationMapper.insert(tFumigationCirculation);
    }

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 环流熏蒸设备修改
     */
    @Override
    public int updateData(TFumigationCirculationParam circulationParam) {
        TFumigationCirculation tFumigationCirculation = new TFumigationCirculation();
        BeanUtils.copyProperties(circulationParam, tFumigationCirculation);

        return tFumigationCirculationMapper.updateById(tFumigationCirculation);
    }

    /**
     * @author: hujianchun
     * @Description:
     * @param:
     * @return: 环流熏蒸设备删除
     */
    @Override
    public int deleteData(String id) {
        return tFumigationCirculationMapper.deleteById(id);

    }
}
