package com.chinaitop.depot.intelligent.basicData.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TLqinfo;
import com.chinaitop.depot.intelligent.basicData.model.TNtinfo;
import com.chinaitop.depot.intelligent.basicData.mapper.TNtinfoMapper;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoParam;
import com.chinaitop.depot.intelligent.basicData.param.TNtinfoParam;
import com.chinaitop.depot.intelligent.basicData.service.TNtinfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 气调设备配置 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Service
public class TNtinfoServiceImpl extends ServiceImpl<TNtinfoMapper, TNtinfo> implements TNtinfoService {

    @Autowired
    private TNtinfoMapper tNtinfoMapper;

    @Override
    public Page<TNtinfo> getList(TLqinfoPageParam pageParam) {

        Page<TNtinfo> page = new Page<>(pageParam.getPageNum(), pageParam.getPageSize());
        LambdaQueryWrapper<TNtinfo> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(TNtinfo::getOrgId,pageParam.getOrgId());
        if (StringUtils.isNotEmpty(pageParam.getVcfcode())) {
            wrapper.eq(TNtinfo::getVcfcode, pageParam.getVcfcode());
        }
        return tNtinfoMapper.selectPage(page, wrapper);

    }

    @Override
    public int saveData(TNtinfoParam param) {
        TNtinfo tNtinfo = new TNtinfo();
        BeanUtils.copyProperties(param, tNtinfo);
        tNtinfo.setId(UuidUtils.getCode());
        tNtinfo.setUpdatetime(new Date());
        return tNtinfoMapper.insert(tNtinfo);
    }

    @Override
    public int updateData(TNtinfoParam param) {
        TNtinfo tNtinfo = new TNtinfo();
        BeanUtils.copyProperties(param, tNtinfo);
        tNtinfo.setUpdatetime(new Date());
        return tNtinfoMapper.updateById(tNtinfo);
    }

    @Override
    public int deleteData(String id) {
        return tNtinfoMapper.deleteById(id);
    }
}
