package com.chinaitop.depot.intelligent.basicData.service.impl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.basicData.mapper.TQtdevinfoMapper;
import com.chinaitop.depot.intelligent.basicData.model.TQtdevinfo;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TQtdevinfoPageParam;
import com.chinaitop.depot.intelligent.basicData.param.TQtdevinfoParam;
import com.chinaitop.depot.intelligent.basicData.service.TQtdevinfoService;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 气体液位设备设置 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@Service
public class TQtdevinfoServiceImpl extends ServiceImpl<TQtdevinfoMapper, TQtdevinfo> implements TQtdevinfoService {

    @Autowired
    private TQtdevinfoMapper tQtdevinfoMapper;

    @Override
    public Page<TQtdevinfo> getList(TQtdevinfoPageParam pageParam) {

        //根据登录库区，获取本库的信息
        Page<TQtdevinfo> page = new Page<>(pageParam.getPageNum(), pageParam.getPageSize());
        LambdaQueryWrapper<TQtdevinfo> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(TQtdevinfo::getOrgId,pageParam.getOrgId());
        if (StringUtils.isNotEmpty(pageParam.getVcfcode())) {
            wrapper.eq(TQtdevinfo::getVcfcode, pageParam.getVcfcode());
        }

        return tQtdevinfoMapper.selectPage(page, wrapper);
    }


    @Override
    public int saveData(TQtdevinfoParam param) {
        TQtdevinfo tQtdevinfo = new TQtdevinfo();
        BeanUtils.copyProperties(param,tQtdevinfo);
        tQtdevinfo.setId(UuidUtils.getCode());
        return tQtdevinfoMapper.insert(tQtdevinfo);
    }

    @Override
    public int updateData(TQtdevinfoParam param) {
        TQtdevinfo tQtdevinfo = new TQtdevinfo();
        BeanUtils.copyProperties(param,tQtdevinfo);
        return tQtdevinfoMapper.updateById(tQtdevinfo);
    }

    @Override
    public int deleteData(String id) {
        return tQtdevinfoMapper.deleteById(id);
    }
}
