package com.chinaitop.depot.intelligent.devCRUD.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoGasMonitoring;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoGasMonitoringPageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoGasMonitoringService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 气体检测 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@RestController
@RequestMapping("/demo-gas-monitoring")
@Api(tags = "气体检测")
public class DemoGasMonitoringController {
    @Resource
    private DemoGasMonitoringService gasMonitoringService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "支持分页")
    public ResponseEntity<Page<DemoGasMonitoring>> getPageList(@Validated DemoGasMonitoringPageParam param) {
        return ResponseEntity.ok(gasMonitoringService.selectPageList(param));
    }

    @GetMapping("/getList")
    @ApiOperation(value = "列表-折线图", notes = "列表-折线图")
    public ResponseEntity<List<DemoGasMonitoring>> getList(@Validated DemoGasMonitoringPageParam param) {
        return ResponseEntity.ok(gasMonitoringService.selectList(param));
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增", notes = "新增")
    public ResponseEntity save(@RequestBody DemoGasMonitoring demoGasMonitoring) {
        return ResponseEntity.ok(gasMonitoringService.saveData(demoGasMonitoring));
    }

    @PutMapping("/update")
    @ApiOperation(value = "修改", notes = "修改")
    public ResponseEntity update(@RequestBody DemoGasMonitoring demoGasMonitoring) {
        return ResponseEntity.ok(gasMonitoringService.updateData(demoGasMonitoring));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(gasMonitoringService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "详情", notes = "id获取详情")
    public ResponseEntity<DemoGasMonitoring> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(gasMonitoringService.getById(id));
    }

}
