package com.chinaitop.depot.intelligent.devCRUD.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoPestMonitoring;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoPestMonitoringPageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoPestMonitoringService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 虫害检测 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@RestController
@RequestMapping("/demo-pest-monitoring")
@Api(tags = "虫害检测")
public class DemoPestMonitoringController {
    @Resource
    private DemoPestMonitoringService demoPestMonitoringService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "支持分页")
    public ResponseEntity<Page<DemoPestMonitoring>> getPageList(@Validated DemoPestMonitoringPageParam param) {
        return ResponseEntity.ok(demoPestMonitoringService.selectPageList(param));
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增", notes = "新增")
    public ResponseEntity save(@RequestBody DemoPestMonitoring pestMonitoring) {
        return ResponseEntity.ok(demoPestMonitoringService.saveData(pestMonitoring));
    }

    @PutMapping("/update")
    @ApiOperation(value = "修改", notes = "修改")
    public ResponseEntity update(@RequestBody DemoPestMonitoring pestMonitoring) {
        return ResponseEntity.ok(demoPestMonitoringService.updateData(pestMonitoring));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(demoPestMonitoringService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "详情", notes = "id获取详情")
    public ResponseEntity<DemoPestMonitoring> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(demoPestMonitoringService.getById(id));
    }

    @GetMapping("/getHcjcdh")
    @ApiOperation(value = "获取害虫检测单号信息", notes = "orgId机构编码,cfbm仓房编码,hwbm货位编码")
    public ResponseEntity<List<String>> getHcjcdh(String orgId, String cfbm, String hwbm) {
        return ResponseEntity.ok(demoPestMonitoringService.getHcjcdh(orgId, cfbm, hwbm));
    }

    @GetMapping("/getPestByDH")
    @ApiOperation(value = "获取害虫检测单号对应信息", notes = "orgId机构编码,hcjcdh仓房编码")
    public ResponseEntity<DemoPestMonitoring> getPestByDH(String orgId, String Hcjcdh) {
        return ResponseEntity.ok(demoPestMonitoringService.getPestByDH(orgId, Hcjcdh));
    }

}
