package com.chinaitop.depot.intelligent.devCRUD.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoQuantityMonitoring;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoQuantityMonitoringPageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoQuantityMonitoringService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 粮食数据监测数据 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@RestController
@RequestMapping("/demo-quantity-monitoring")
@Api(tags = "粮食数量监测")
public class DemoQuantityMonitoringController {
    @Resource
    private DemoQuantityMonitoringService quantityMonitoringService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "支持分页")
    public ResponseEntity<Page<DemoQuantityMonitoring>> getPageList(@Validated DemoQuantityMonitoringPageParam param) {
        return ResponseEntity.ok(quantityMonitoringService.selectPageList(param));
    }

    @PostMapping("/save")
    @ApiOperation(value = "新增", notes = "新增")
    public ResponseEntity save(@RequestBody DemoQuantityMonitoring quantityMonitoring) {
        return ResponseEntity.ok(quantityMonitoringService.saveData(quantityMonitoring));
    }

    @PutMapping("/update")
    @ApiOperation(value = "修改", notes = "修改")
    public ResponseEntity update(@RequestBody DemoQuantityMonitoring quantityMonitoring) {
        return ResponseEntity.ok(quantityMonitoringService.updateData(quantityMonitoring));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") String id) {
        return ResponseEntity.ok(quantityMonitoringService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "详情", notes = "id获取详情")
    public ResponseEntity<DemoQuantityMonitoring> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(quantityMonitoringService.getById(id));
    }

}
