package com.chinaitop.depot.intelligent.devCRUD.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 虫害检测
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("demo_pest_monitoring")
@ApiModel(value="DemoPestMonitoring对象", description="虫害检测")
public class DemoPestMonitoring implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键32位id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "库区编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "库区名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "害虫检测单号")
    @TableField("hcjcdh")
    private String hcjcdh;

    @ApiModelProperty(value = "检测害虫方法")
    @TableField("jchcfa")
    private String jchcfa;

    @ApiModelProperty(value = "发生部位")
    @TableField("fsbw")
    private String fsbw;

    @ApiModelProperty(value = "仓房编码")
    @TableField("cfbm")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称")
    @TableField("cfmc")
    private String cfmc;

    @ApiModelProperty(value = "货位编码")
    @TableField("hwbm")
    private String hwbm;

    @ApiModelProperty(value = "货位名称")
    @TableField("hwmc")
    private String hwmc;

    @ApiModelProperty(value = "库存数量(kg)")
    @TableField("kcsl")
    private Integer kcsl;

    @ApiModelProperty(value = "粮食品种编码")
    @TableField("lspzbm")
    private String lspzbm;

    @ApiModelProperty(value = "粮食品种名称")
    @TableField("lspzmc")
    private String lspzmc;

    @ApiModelProperty(value = "粮油等级编码")
    @TableField("lydjbm")
    private String lydjbm;

    @ApiModelProperty(value = "粮油等级名称")
    @TableField("lydjmc")
    private String lydjmc;

    @ApiModelProperty(value = "粮油性质编码")
    @TableField("lyxzbm")
    private String lyxzbm;

    @ApiModelProperty(value = "粮油性质名称")
    @TableField("lyxzmc")
    private String lyxzmc;

    @ApiModelProperty(value = "仟样人")
    @TableField("qyr")
    private String qyr;

    @ApiModelProperty(value = "仟样时间")
    @TableField("qysj")
    private Date qysj;

    @ApiModelProperty(value = "检测人")
    @TableField("jcr")
    private String jcr;

    @ApiModelProperty(value = "检测时间")
    @TableField("jcsj")
    private Date jcsj;

    @ApiModelProperty(value = "虫粮等级编码")
    @TableField("cldjbm")
    private String cldjbm;

    @ApiModelProperty(value = "虫粮等级名称")
    @TableField("cldjmc")
    private String cldjmc;

    @ApiModelProperty(value = "害虫抗药性分析")
    @TableField("hckyxfx")
    private String hckyxfx;

    @ApiModelProperty(value = "检测方式编码")
    @TableField("jcfsbm")
    private String jcfsbm;

    @ApiModelProperty(value = "检测方式名称")
    @TableField("jcfsmc")
    private String jcfsmc;

    @ApiModelProperty(value = "检测数据(json:[{\"hczl\":\"害虫种类1\",\"ckmd\":\"虫口密度(头/kg)\"}])")
    @TableField("jcsj_json")
    private String jcsjJson;


}
