package com.chinaitop.depot.intelligent.devCRUD.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoAir;
import com.chinaitop.depot.intelligent.devCRUD.mapper.DemoAirMapper;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoAirPageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoAirService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * <p>
 * 智能气调 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Service
public class DemoAirServiceImpl extends ServiceImpl<DemoAirMapper, DemoAir> implements DemoAirService {
    @Resource
    private DemoAirMapper demoAirMapper;

    @Override
    public Page<DemoAir> selectPageList(DemoAirPageParam demoAirPageParam) {
        QueryWrapper<DemoAir> wrapper = new QueryWrapper<>();
        wrapper.eq("org_id", demoAirPageParam.getOrgId());
        if (StringUtils.isNotEmpty(demoAirPageParam.getSbmc()))
            wrapper.like("sbmc", demoAirPageParam.getSbmc());
        wrapper.orderByDesc("jcsj");
        return demoAirMapper.selectPage(new Page<>(demoAirPageParam.getCurrent(), demoAirPageParam.getSize()), wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int saveData(DemoAir demoAir) {
        demoAir.setId(UuidUtils.getCode());
        return demoAirMapper.insert(demoAir);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int updateData(DemoAir demoAir) {
        return demoAirMapper.updateById(demoAir);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int deleteData(String id) {
        return demoAirMapper.deleteById(id);
    }
}
