package com.chinaitop.depot.intelligent.devCRUD.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoFumigation;
import com.chinaitop.depot.intelligent.devCRUD.mapper.DemoFumigationMapper;
import com.chinaitop.depot.intelligent.devCRUD.model.DemoFumigationPageParam;
import com.chinaitop.depot.intelligent.devCRUD.service.DemoFumigationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chinaitop.depot.intelligent.utils.UuidUtils;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * <p>
 * 环流熏蒸 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Service
public class DemoFumigationServiceImpl extends ServiceImpl<DemoFumigationMapper, DemoFumigation> implements DemoFumigationService {
    @Resource
    private DemoFumigationMapper fumigationMapper;

    @Override
    public Page<DemoFumigation> selectPageList(DemoFumigationPageParam param) {
        QueryWrapper<DemoFumigation> wrapper = new QueryWrapper<>();
        wrapper.eq("org_id", param.getOrgId());
        if (StringUtils.isNotEmpty(param.getXzsj()))
            wrapper.eq("xzsj", param.getXzsj());
        wrapper.orderByDesc("xzsj");
        return fumigationMapper.selectPage(new Page<>(param.getCurrent(), param.getSize()), wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int saveData(DemoFumigation demoFumigation) {
        demoFumigation.setId(UuidUtils.getCode());
        return fumigationMapper.insert(demoFumigation);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int updateData(DemoFumigation demoFumigation) {
        return fumigationMapper.updateById(demoFumigation);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int deleteData(String id) {
        return fumigationMapper.deleteById(id);
    }
}
