package com.chinaitop.depot.intelligent.devData.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TStationSelect;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.devData.model.TLqData;
import com.chinaitop.depot.intelligent.devData.model.TLqDataPageParam;
import com.chinaitop.depot.intelligent.devData.service.TLqDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 多功能粮情-主表 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-10
 */
@RestController
@RequestMapping("/t-lq-data")
@Api(tags = "多功能粮情")
public class TLqDataController {
    @Resource
    private TLqDataService lqDataService;

    @GetMapping("/getPageList")
    @ApiOperation(value = "多功能粮情分页列表", notes = "支持分页")
    public ResponseEntity<Page<TLqData>> getPageList(@Validated TLqDataPageParam param) {
        return ResponseEntity.ok(lqDataService.selectPageList(param));
    }

    @PostMapping(value = "/sendStoreDetection")
    @ApiOperation(value = "粮温检测", notes = "检测类型0测温，1粮油,2测水分")
    public ResponseEntity sendStoreDetection(@RequestBody TStationSelect param) {
        return lqDataService.sendStoreDetection(param);
    }

}
