package com.chinaitop.depot.intelligent.devData.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 多功能粮情-子表
 * </p>
 *
 * @author root
 * @since 2024-05-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("t_lq_data_layer")
@ApiModel(value="TLqDataLayer对象", description="多功能粮情-子表")
public class TLqDataLayer implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "32位主键id")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_id")
    private String orgId;

    @ApiModelProperty(value = "粮情id")
    @TableField("lq_id")
    private String lqId;

    @ApiModelProperty(value = "仓房编码")
    @TableField("lHouse")
    private String lhouse;

    @ApiModelProperty(value = "采集时间")
    @TableField("lTime")
    private Date ltime;

    @ApiModelProperty(value = "测温层数")
    @TableField("layerNumber")
    private Integer layernumber;

    @ApiModelProperty(value = "每层的层号")
    @TableField("lZ")
    private String lz;

    @ApiModelProperty(value = "每层最高温")
    @TableField("lMax")
    private BigDecimal lmax;

    @ApiModelProperty(value = "每层最低温")
    @TableField("lMin")
    private BigDecimal lmin;

    @ApiModelProperty(value = "每层平均温")
    @TableField("lAvg")
    private BigDecimal lavg;

    @ApiModelProperty(value = "数据来源")
    @TableField("data_source")
    private String dataSource;

    @ApiModelProperty(value = "更新时间(原kettle字段)")
    @TableField("updatetime")
    private Date updatetime;


}
