package com.chinaitop.depot.intelligent.devData.model;

import com.chinaitop.depot.intelligent.common.PageParam;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2024-05-09 19:16
 */
@Getter
@Setter
public class TLqDataPageParam extends PageParam {
    private static final long serialVersionUID = 3487289307298798006L;

    @ApiModelProperty(value = "仓房编码")
    private String storehouse;

    @ApiModelProperty(value = "检测时间(yyyy-MM-dd)")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone="GMT+8")
    private Date gatherTime;

    @ApiModelProperty(value = "0:粮情;1:油情;2:水分", required = true)
    @NotBlank(message = "粮油情类型不能为空")
    private String ilqYq;

    @ApiModelProperty(value = "库区编码", required = true)
    @NotBlank(message = "库区编码不能为空")
    private String orgId;

}
