package com.chinaitop.depot.intelligent.financialSupervision.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsInterestMaintain;
import com.chinaitop.depot.intelligent.financialSupervision.param.*;
import com.chinaitop.depot.intelligent.financialSupervision.service.BusinessFsInterestMaintainService;
import com.chinaitop.depot.intelligent.financialSupervision.vo.BusinessFsInConfirmDetailVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 财务监管-利息维护 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
@RestController
@RequestMapping("/business-fs-interest-maintain")
@Api(value = "BusinessFsInterestMaintain", description = "利息维护控制类")
public class BusinessFsInterestMaintainController {

    @Autowired
    private BusinessFsInterestMaintainService businessFsInterestMaintainService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 利息维护 信息列表", notes = "查询 利息维护 信息列表")
    public ResponseEntity<Page<BusinessFsInterestMaintain>> getList(@Validated BusinessFsInterestMaintainPageParam pageParam) {

        return ResponseEntity.ok(businessFsInterestMaintainService.getList(pageParam));
    }

    @PostMapping("/save")
    @ApiOperation(value = "利息维护新增", notes = "新增")
    public ResponseEntity save(@Validated @RequestBody BusinessFsInterestMaintainParam param) {
        return ResponseEntity.ok(businessFsInterestMaintainService.saveData(param));
    }

    @PutMapping("/update")
    @ApiOperation(value = "利息维护修改", notes = "修改")
    public ResponseEntity update(@Validated @RequestBody BusinessFsInterestMaintainParam param) {
        return ResponseEntity.ok(businessFsInterestMaintainService.updateData(param));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "利息维护删除", notes = "id删除")
    public ResponseEntity delete(@PathVariable("id") Integer id) {
        return ResponseEntity.ok(businessFsInterestMaintainService.deleteData(id));
    }

    @GetMapping("/getById/{id}")
    @ApiOperation(value = "利息维护详情", notes = "id获取详情")
    public ResponseEntity<BusinessFsInterestMaintain> getById(@PathVariable("id") String id) {
        return ResponseEntity.ok(businessFsInterestMaintainService.getDataById(id));
    }

}
