package com.chinaitop.depot.intelligent.financialSupervision.model;

import java.math.BigDecimal;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-统计账
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_statistical_account")
@ApiModel(value="BusinessFsStatisticalAccount对象", description="财务监管-统计账")
public class BusinessFsStatisticalAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "单位id；org_info的ID；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @TableField("contract_id")
    private Integer contractId;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    @TableField("grain_variety_id")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    @TableField("grain_grade_id")
    private Integer grainGradeId;

    @ApiModelProperty(value = "存储地点")
    @TableField("storage_location")
    private String storageLocation;

    @ApiModelProperty(value = "统计日期")
    @TableField("statistical_date")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date statisticalDate;

    @ApiModelProperty(value = "凭证号")
    @TableField("voucher_number")
    private String voucherNumber;

    @ApiModelProperty(value = "收入数量")
    @TableField("income_quantity")
    private BigDecimal incomeQuantity;

    @ApiModelProperty(value = "支出数量")
    @TableField("expenditure_quantity")
    private BigDecimal expenditureQuantity;

    @ApiModelProperty(value = "库存数量")
    @TableField("inventory_quantity")
    private BigDecimal inventoryQuantity;

    @ApiModelProperty(value = "会计签字")
    @TableField("accountant_signature")
    private String accountantSignature;

    @ApiModelProperty(value = "总保管签字")
    @TableField("warehouse_keeper_signature")
    private String warehouseKeeperSignature;

    @ApiModelProperty(value = "合同编号")
    @TableField(exist = false)
    private String contractNumber;

    @ApiModelProperty(value = "粮食品种")
    @TableField(exist = false)
    private String grainVarietyName;

    @ApiModelProperty(value = "粮食等级")
    @TableField(exist = false)
    private String grainGradeName;
}
