package com.chinaitop.depot.intelligent.financialSupervision.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsInConfirmContractItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 财务监管-入库确认单
 * </p>
 *
 * @author root
 * @since 2024-07-04
 */
@Data
public class BusinessFsInConfirmAddParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "org_info的id；")
    @NotNull(message = "库区id不能为空")
    private Integer orgId;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @NotNull(message = "合同id不能为空")
    private Integer contractId;

    @ApiModelProperty(value = "入库确认单-实际完成时间")
    @NotNull(message = "实际完成时间不能为空")
    private Date actualCompletionTime;

    @ApiModelProperty(value = "入库确认单-入库确认时间")
    @NotNull(message = "入库确认时间不能为空")
    private Date receiptConfirmationTime;

    @ApiModelProperty(value = "入库确认单-入库确认单号")
    private String receiptNumber;

    @ApiModelProperty(value = "入库确认单-小计-总结算数量（吨）")
    @NotNull(message = "总结算数量不能为空")
    private BigDecimal totalSettleQuantity;

    @ApiModelProperty(value = "入库确认单-小计-总结算金额，单位：元")
    @NotNull(message = "总结算金额不能为空")
    private BigDecimal totalSettleAmount;

    @ApiModelProperty(value = "货款支付情况-货款支付时间")
    @NotNull(message = "货款支付时间不能为空")
    private Date paymentTime;

    @ApiModelProperty(value = "货款支付情况-凭证号")
    @NotBlank(message = "凭证号不能为空")
    private String voucherNumber;

    @ApiModelProperty(value = "货款支付情况-单位名称")
    @NotBlank(message = "单位名称不能为空")
    private String payerUnitName;

    @ApiModelProperty(value = "货款支付情况-已付粮款，单位：元")
    @NotNull(message = "已付粮款不能为空")
    private BigDecimal paidGrainMoney;

    @ApiModelProperty(value = "货款支付情况-未付粮款，单位：元")
    @NotNull(message = "未付粮款不能为空")
    private BigDecimal unpaidGrainMoney;

    @ApiModelProperty(value = "发票情况-单位")
    @NotBlank(message = "单位不能为空")
    private String invoiceUnit;

    @ApiModelProperty(value = "发票情况-发票数量")
    @NotNull(message = "发票数量不能为空")
    private Integer invoiceQuantity;

    @ApiModelProperty(value = "发票情况-发票金额，单位：元")
    @NotNull(message = "发票金额不能为空")
    private BigDecimal invoiceAmount;

    @ApiModelProperty(value = "发票情况-附件")
    private String invoiceAttachment;

    @ApiModelProperty(value = "入库费用维护-对方单位")
    @NotBlank(message = "对方单位不能为空")
    private String wcmCostMainUnit;

    @ApiModelProperty(value = "入库费用维护-费用名称")
    @NotBlank(message = "费用名称不能为空")
    private String wcmCostName;

    @ApiModelProperty(value = "入库费用维护-会计凭证号")
    @NotBlank(message = "会计凭证号不能为空")
    private String wcmAccountingVoucherNumber;

    @ApiModelProperty(value = "入库费用维护-发票金额")
    @NotNull(message = "发票金额不能为空")
    private BigDecimal wcmInvoiceAmount;

    @ApiModelProperty(value = "入库费用维护-已支付费用，单位：元")
    @NotNull(message = "已支付费用不能为空")
    private BigDecimal wcmPaidCost;

    @ApiModelProperty(value = "入库费用维护-非支付费用，单位：元")
    @NotNull(message = "非支付费用不能为空")
    private BigDecimal wcmNonPaymentCost;

    @ApiModelProperty(value = "合同详情")
    private List<BusinessFsInConfirmContractItem> fsInConfirmContractItemList;

}
