package com.chinaitop.depot.intelligent.financialSupervision.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 财务监管-银行贷款
 * </p>
 *
 * @author root
 * @since 2024-07-03
 */
@Data
public class BusinessFsLoanAddParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "单位id；org_info的ID；")
    @NotNull(message = "单位id不能为空")
    private Integer orgId;

    @ApiModelProperty(value = "合同编号；business_contract的ID；")
    @NotNull(message = "合同编号id不能为空")
    private Integer contractId;

    @ApiModelProperty(value = "贷款单号")
    @NotBlank(message = "贷款单号不能为空")
    private String loanNumber;

    @ApiModelProperty(value = "贷款金额")
    @NotNull(message = "贷款金额不能为空")
    private BigDecimal loanAmount;

    @ApiModelProperty(value = "利息单号")
    @NotBlank(message = "利息单号不能为空")
    private String interestNumber;

    @ApiModelProperty(value = "计息账户")
    @NotBlank(message = "计息账户不能为空")
    private String interestAccount;

    @ApiModelProperty(value = "计息开始日")
    @NotNull(message = "计息开始日不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date interestStartDate;

    @ApiModelProperty(value = "计息结束日")
    @NotNull(message = "计息结束日不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date interestEndDate;

    @ApiModelProperty(value = "计息天数")
    @NotNull(message = "计息天数不能为空")
    private Integer interestDays;

    @ApiModelProperty(value = "计息本金")
    @NotNull(message = "计息本金不能为空")
    private BigDecimal interestPrincipal;

    @ApiModelProperty(value = "利率")
    @NotNull(message = "利率不能为空")
    private BigDecimal interestRate;

    @ApiModelProperty(value = "应计利息")
    @NotNull(message = "应计利息不能为空")
    private BigDecimal accruedInterest;

    @ApiModelProperty(value = "实计利息")
    @NotNull(message = "实计利息不能为空")
    private BigDecimal actualInterest;

    @ApiModelProperty(value = "罚息率")
    @NotNull(message = "罚息率不能为空")
    private BigDecimal penaltyRate;

    @ApiModelProperty(value = "应计罚息")
    @NotNull(message = "应计罚息不能为空")
    private BigDecimal accruedPenalty;

    @ApiModelProperty(value = "实计罚息")
    @NotNull(message = "实计罚息不能为空")
    private BigDecimal actualPenalty;

    @ApiModelProperty(value = "逾期天数")
    @NotNull(message = "逾期天数不能为空")
    private Integer overdueDays;

    @ApiModelProperty(value = "币种")
    @NotBlank(message = "币种不能为空")
    private String currency;

    @ApiModelProperty(value = "附件")
    @NotBlank(message = "附件不能为空")
    private String attachment;


}
