package com.chinaitop.depot.intelligent.financialSupervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessContract;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsInConfirm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsInConfirmAddParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsInConfirmPageParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsInConfirmUpdateParam;
import com.chinaitop.depot.intelligent.financialSupervision.vo.BusinessFsInConfirmDetailVO;
import com.chinaitop.depot.intelligent.financialSupervision.vo.BusinessFsInConfirmPageVO;
import com.chinaitop.depot.intelligent.financialSupervision.vo.GetFsConfirmByContractIdVO;

import java.util.List;

/**
 * <p>
 * 财务监管-入库确认单 服务类
 * </p>
 *
 * @author root
 * @since 2024-07-04
 */
public interface BusinessFsInConfirmService extends IService<BusinessFsInConfirm> {

    /**
     * 查询 入库确认单 信息列表
     *
     * @author hjc
     * @date 2024/7/4 10:28
     */
    Page<BusinessFsInConfirmPageVO> getList(BusinessFsInConfirmPageParam pageParam);


    /**
     * 通过合同id获取带出数据
     *
     * @author hjc
     * @date 2024/7/4 11:58
     */
    GetFsConfirmByContractIdVO getByContractId(String id);

    /**
     * 入库确认单删除
     *
     * @author hjc
     * @date 2024/7/4 14:48
     */
    int deleteData(Integer id);

    /**
     * 入库确认单详情
     *
     * @author hjc
     * @date 2024/7/4 15:17
     */
    BusinessFsInConfirmDetailVO getDataById(String id);

    /**
    *入库确认单新增
    *
    *@author hjc
    *@date 2024/7/4 16:10
    */
    int saveData(BusinessFsInConfirmAddParam param);

    /**
    *入库确认单修改
    *
    *@author hjc
    *@date 2024/7/4 18:06
    */
    int updateData(BusinessFsInConfirmUpdateParam param);

    /**
    *获取采购合同编号
    *
    *@author hjc
    *@date 2024/7/24 17:52
    */
    List<BusinessContract> getContractData(Integer orgId);
}
