package com.chinaitop.depot.intelligent.financialSupervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessContract;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsOutConfirm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsOutConfirmAddParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsOutConfirmPageParam;
import com.chinaitop.depot.intelligent.financialSupervision.param.BusinessFsOutConfirmUpdateParam;
import com.chinaitop.depot.intelligent.financialSupervision.vo.BusinessFsOutConfirmDetailVO;
import com.chinaitop.depot.intelligent.financialSupervision.vo.BusinessFsOutConfirmPageVO;
import com.chinaitop.depot.intelligent.financialSupervision.vo.GetFsConfirmByContractIdVO;
import com.chinaitop.depot.intelligent.financialSupervision.vo.GetFsOutConfirmByContractVO;

import java.util.List;

/**
 * <p>
 * 财务监管-销售收入上缴-出库验收确认 服务类
 * </p>
 *
 * @author root
 * @since 2024-07-23
 */
public interface BusinessFsOutConfirmService extends IService<BusinessFsOutConfirm> {

    /**
    *通过合同id获取带出数据
    *
    *@author hjc
    *@date 2024/7/23 16:37
    */
    GetFsOutConfirmByContractVO getByContractId(String id);

    /**
    *获取销售合同编号
    *
    *@author hjc
    *@date 2024/7/23 16:55
    */
    List<BusinessContract> getContractData(Integer orgId);

    /**
    *出库验收确认详情
    *
    *@author hjc
    *@date 2024/7/24 9:12
    */
    BusinessFsOutConfirmDetailVO getDataById(String id);

    /**
    *出库验收确认删除
    *
    *@author hjc
    *@date 2024/7/24 10:42
    */
    int deleteData(Integer id);

    /**
    *出库验收确认新增
    *
    *@author hjc
    *@date 2024/7/24 11:09
    */
    int saveData(BusinessFsOutConfirmAddParam param);

    /**
    *出库验收确认修改
    *
    *@author hjc
    *@date 2024/7/24 11:18
    */
    int updateData(BusinessFsOutConfirmUpdateParam param);

    /**
    *查询 出库验收确认 信息列表
    *
    *@author hjc
    *@date 2024/7/24 11:25
    */
    Page<BusinessFsOutConfirmPageVO> getList(BusinessFsOutConfirmPageParam pageParam);
}
