package com.chinaitop.depot.intelligent.financialSupervision.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.mapper.BusinessContractMapper;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessContract;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsLoan;
import com.chinaitop.depot.intelligent.financialSupervision.mapper.BusinessFsLoanMapper;
import com.chinaitop.depot.intelligent.financialSupervision.param.*;
import com.chinaitop.depot.intelligent.financialSupervision.service.BusinessFsLoanService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 财务监管-银行贷款 服务实现类
 * </p>
 *
 * @author root
 * @since 2024-07-03
 */
@Service
public class BusinessFsLoanServiceImpl extends ServiceImpl<BusinessFsLoanMapper, BusinessFsLoan> implements BusinessFsLoanService {


    @Autowired
    private BusinessFsLoanMapper businessFsLoanMapper;

    @Autowired
    private BusinessContractMapper businessContractMapper;

    @Override
    public Page<BusinessFsLoan> getList(BusinessFsLoanPageParam pageParam) {
        Page<BusinessFsLoan> page = new Page<>(pageParam.getPageNum(), pageParam.getPageSize());
        return businessFsLoanMapper.selectMyPage(page, pageParam.getLoanNumber(),pageParam.getOrgId());

    }

    @Override
    public int saveData(BusinessFsLoanAddParam param) {

        BusinessFsLoan businessFsLoan = new BusinessFsLoan();
        BeanUtils.copyProperties(param, businessFsLoan);

        businessFsLoan.setCreatedate(new Date());
        businessFsLoan.setUpdatedate(new Date());

        return businessFsLoanMapper.insert(businessFsLoan);

    }

    @Override
    public int updateData(BusinessFsLoanUpdateParam param) {
        BusinessFsLoan businessFsLoan = new BusinessFsLoan();
        BeanUtils.copyProperties(param, businessFsLoan);

        businessFsLoan.setUpdatedate(new Date());

        return businessFsLoanMapper.updateById(businessFsLoan);
    }

    @Override
    public int deleteData(Integer id) {
        return businessFsLoanMapper.deleteById(id);
    }

    @Override
    public BusinessFsLoan getDataById(String id) {

        BusinessFsLoan businessFsLoan = businessFsLoanMapper.selectById(id);
        if (ObjectUtil.isNotEmpty(businessFsLoan)) {
            BusinessContract businessContract = businessContractMapper.selectById(businessFsLoan.getContractId());
            businessFsLoan.setContractNumber(businessContract.getContractNumber());
        }
        return businessFsLoan;
    }
}
