package com.chinaitop.depot.intelligent.financialSupervision.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 财务监管-费用标准维护
 * </p>
 *
 * @author root
 * @since 2024-06-27
 */
@Data
public class BusinessFsCostStandardVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "创建人")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    private Date updatedate;

    @ApiModelProperty(value = "粮库id；org_info的id；")
    private Integer orgId;

    @ApiModelProperty(value = "粮食种类id；basic_enum的id；")
    private Integer grainTypeId;

    @ApiModelProperty(value = "粮食种类名称；basic_enum的id；")
    private String grainTypeName;

    @ApiModelProperty(value = "粮食品种id；basic_enum的id；")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食品种名称")
    private String grainVarietyName;

    @ApiModelProperty(value = "标准名称")
    private String standardName;

    @ApiModelProperty(value = "标准类型 1:轮换费用标准 2:保管费用标准")
    private Integer standardType;

    @ApiModelProperty(value = "标准值")
    private BigDecimal standardValue;


}
