package com.chinaitop.depot.intelligent.grainReserves.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.basicData.model.TCcinfo;
import com.chinaitop.depot.intelligent.basicData.param.TLqinfoPageParam;
import com.chinaitop.depot.intelligent.common.ResponseEntity;
import com.chinaitop.depot.intelligent.grainReserves.param.GrReserveScalePageParam;
import com.chinaitop.depot.intelligent.grainReserves.service.OrgInfoService;
import com.chinaitop.depot.intelligent.grainReserves.vo.GrReserveScaleVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 组织机构信息表 前端控制器
 * </p>
 *
 * @author root
 * @since 2024-05-15
 */
@RestController
@RequestMapping("/org-info")
@Api(value = "OrgInfoController", description = "组织机构信息控制类")
public class OrgInfoController {

    @Autowired
    private OrgInfoService orgInfoService;

    @GetMapping("/getList")
    @ApiOperation(value = "查询 储备规模接收 信息列表", notes = "查询 储备规模接收 信息列表")
    public ResponseEntity<Page<GrReserveScaleVO>> getList(GrReserveScalePageParam pageParam) {

        return ResponseEntity.ok(orgInfoService.getList(pageParam));
    }



}
