package com.chinaitop.depot.intelligent.grainReserves.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chinaitop.depot.intelligent.grainReserves.model.BusinessGslrLossCollect;
import com.chinaitop.depot.intelligent.grainReserves.vo.WarehouseAndInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 粮食储备-节粮损益-损溢损失信息采集 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-05-15
 */
@Mapper
public interface BusinessGslrLossCollectMapper extends BaseMapper<BusinessGslrLossCollect> {

    List<BusinessGslrLossCollect> selectMyPage(@Param("current") Integer current,
                                               @Param("size") Integer size,
                                               @Param("grainNatureName") String grainNatureName,
                                               @Param("grainVarietyName") String grainVarietyName,
                                               @Param("orgName") String orgName,
                                               @Param("orgId") Integer orgId);

    WarehouseAndInfoVO selectNetWeightOut(@Param("grainVarietyId") Integer grainVarietyId,
                                          @Param("grainNatureId") Integer grainNatureId,
                                          @Param("basicStorehouseId") Integer basicStorehouseId,
                                          @Param("warehouseId") Integer warehouseId,
                                          @Param("startDate") Date startDate,
                                          @Param("endDate") Date endDate);
}
