package com.chinaitop.depot.intelligent.grainReserves.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 库中仓房下的货位信息
 * </p>
 *
 * @author root
 * @since 2024-05-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_warehouse")
@ApiModel(value="BasicWarehouse对象", description="库中仓房下的货位信息")
public class BasicWarehouse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "货位ID")
    @TableId(value = "warehouse_id", type = IdType.AUTO)
    private Integer warehouseId;

    @ApiModelProperty(value = "所属粮库ID")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "所属粮库名称")
    @TableField("depot_name")
    private String depotName;

    @ApiModelProperty(value = "仓房ID")
    @TableField("storehouse_id")
    private Integer storehouseId;

    @ApiModelProperty(value = "货位编码")
    @TableField("warehouse_code")
    private String warehouseCode;

    @ApiModelProperty(value = "货位名称")
    @TableField("warehouse_name")
    private String warehouseName;

    @ApiModelProperty(value = "货位启用日期")
    @TableField("warehouse_use_time")
    private Date warehouseUseTime;

    @ApiModelProperty(value = "货位状态")
    @TableField("warehouse_status")
    private Integer warehouseStatus;

    @ApiModelProperty(value = "储粮方式")
    @TableField("store_way")
    private Integer storeWay;

    @ApiModelProperty(value = "长度（米）")
    @TableField("length")
    private BigDecimal length;

    @ApiModelProperty(value = "宽度（米）")
    @TableField("width")
    private BigDecimal width;

    @ApiModelProperty(value = "高度（米）")
    @TableField("heigth")
    private BigDecimal heigth;

    @ApiModelProperty(value = "联系电话")
    @TableField("contact_number")
    private String contactNumber;

    @ApiModelProperty(value = "货位容量（数字，单位吨）")
    @TableField("warehouse_capacity")
    private BigDecimal warehouseCapacity;

    @ApiModelProperty(value = "责任保管员")
    @TableField("dutystoreman")
    private String dutystoreman;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "货位图")
    @TableField("ware_img")
    private String wareImg;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "删除状态(1.正常，2.删除)")
    @TableField("del_flag")
    private Integer delFlag;

    @ApiModelProperty(value = "单位Id")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "库类型，0.主粮库，1.代储点粮库")
    @TableField("library_type")
    private String libraryType;

    @TableField("updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "与市平台对接的唯一编码")
    @TableField("hwbm")
    private String hwbm;

    @ApiModelProperty(value = "出入库状态")
    @TableField("crk_status")
    private String crkStatus;

    @TableField("hwdm")
    private String hwdm;

    @ApiModelProperty(value = "存放粮油类型(0:原粮,1:成品粮)")
    @TableField("lylx")
    private String lylx;

    @ApiModelProperty(value = "市平台数据主键ID")
    @TableField("spt_dataid")
    private String sptDataid;

    @ApiModelProperty(value = "basic_unit_aisle的id；廒间id；")
    @TableField("aisle_id")
    private Integer aisleId;

    @TableField("tyhwbm")
    private String tyhwbm;


}
