package com.chinaitop.depot.intelligent.grainReserves.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 粮食储备-节粮损益-损溢损失信息采集
 * </p>
 *
 * @author root
 * @since 2024-05-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_gslr_loss_collect")
@ApiModel(value="BusinessGslrLossCollect对象", description="粮食储备-节粮损益-损溢损失信息采集")
public class BusinessGslrLossCollect implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "损益单号")
    @TableField("sydh")
    private String sydh;

    @ApiModelProperty(value = "业务日期")
    @TableField("business_date")
    private Date businessDate;

    @ApiModelProperty(value = "库区id；org_info的id；")
    @TableField("org_id")
    private Integer orgId;

    @ApiModelProperty(value = "basic_storehouse的id；仓房id")
    @TableField("basic_storehouse_id")
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "basic_warehouse的id；货位id")
    @TableField("warehouse_id")
    private Integer warehouseId;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    @TableField("grain_variety_id")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
    @TableField("grain_nature_id")
    private Integer grainNatureId;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    @TableField("grain_grade_id")
    private Integer grainGradeId;

    @ApiModelProperty(value = "入库时间")
    @TableField("storage_time")
    private Date storageTime;

    @ApiModelProperty(value = "入库净重")
    @TableField("net_weight_in")
    private BigDecimal netWeightIn;

    @ApiModelProperty(value = "出库时间")
    @TableField("outbound_time")
    private Date outboundTime;

    @ApiModelProperty(value = "出库净重")
    @TableField("net_weight_out")
    private BigDecimal netWeightOut;

    @ApiModelProperty(value = "存储年限")
    @TableField("storage_years")
    private Integer storageYears;

    @ApiModelProperty(value = "损溢是否正常 1：正常；2:不正常；")
    @TableField("is_normal_loss")
    private Integer isNormalLoss;

    @ApiModelProperty(value = "实际损耗数量")
    @TableField("actual_loss_quantity")
    private BigDecimal actualLossQuantity;

    @ApiModelProperty(value = "入库水分")
    @TableField("moisture_in")
    private BigDecimal moistureIn;

    @ApiModelProperty(value = "入库杂质")
    @TableField("impurity_in")
    private BigDecimal impurityIn;

    @ApiModelProperty(value = "杂质减量")
    @TableField("impurity_reduction_quality")
    private BigDecimal impurityReductionQuality;

    @ApiModelProperty(value = "出库水分")
    @TableField("moisture_out")
    private BigDecimal moistureOut;

    @ApiModelProperty(value = "出库杂质")
    @TableField("impurity_out")
    private BigDecimal impurityOut;

    @ApiModelProperty(value = "水分减量")
    @TableField("moisture_loss")
    private BigDecimal moistureLoss;

    @ApiModelProperty(value = "保管自然损耗")
    @TableField("natural_loss")
    private BigDecimal naturalLoss;

    @ApiModelProperty(value = "存储损耗")
    @TableField("storage_loss")
    private BigDecimal storageLoss;

    @ApiModelProperty(value = "超耗数量")
    @TableField("excess_loss_quantity")
    private BigDecimal excessLossQuantity;

    @ApiModelProperty(value = "检查计算数")
    @TableField("check_calculate_number")
    private BigDecimal checkCalculateNumber;

    @ApiModelProperty(value = "水杂减量")
    @TableField("moisture_impurity_loss")
    private BigDecimal moistureImpurityLoss;

    @ApiModelProperty(value = "损益原因")
    @TableField("loss_profit_reason")
    private String lossProfitReason;

    @ApiModelProperty(value = "仓储审核人")
    @TableField("warehouse_auditor")
    private String warehouseAuditor;

    @ApiModelProperty(value = "质检审核人")
    @TableField("quality_auditor")
    private String qualityAuditor;

    @ApiModelProperty(value = "统计审核人")
    @TableField("statistics_auditor")
    private String statisticsAuditor;

    @ApiModelProperty(value = "会计审核人")
    @TableField("accounting_auditor")
    private String accountingAuditor;

    @ApiModelProperty(value = "领导审核人")
    @TableField("leadership_auditor")
    private String leadershipAuditor;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "状态 0：保存；1：上报；")
    @TableField("status")
    private Integer status;


}
