package com.chinaitop.depot.intelligent.grainReserves.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 原粮转卡（粮情卡）
 * </p>
 *
 * @author root
 * @since 2024-05-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("grain_situation_card")
@ApiModel(value="GrainSituationCard对象", description="原粮转卡（粮情卡）")
public class GrainSituationCard implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "warehouse_sealing_record的id；")
    @TableField("warehouse_sealing_record_id")
    private Integer warehouseSealingRecordId;

    @ApiModelProperty(value = "填卡库区id；org_info的id；")
    @TableField("fill_org_id")
    private Integer fillOrgId;

    @ApiModelProperty(value = "保管库区id；org_info的id；")
    @TableField("keep_org_id")
    private Integer keepOrgId;

    @ApiModelProperty(value = "basic_storehouse的id；仓房id；")
    @TableField("basic_storehouse_id")
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "basic_unit_aisle的id；廒间id；")
    @TableField("basic_unit_aisle_id")
    private Integer basicUnitAisleId;

    @ApiModelProperty(value = "basic_warehouse的id；货位id;")
    @TableField("warehouse_id")
    private Integer warehouseId;

    @ApiModelProperty(value = "仓房类型编号（立筒仓等）")
    @TableField("storehouse_type")
    private Integer storehouseType;

    @ApiModelProperty(value = "设计容量（数字，单位吨）")
    @TableField("design_capacity")
    private BigDecimal designCapacity;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    @TableField("grain_variety_id")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
    @TableField("grain_nature_id")
    private Integer grainNatureId;

    @ApiModelProperty(value = "粮食数量，单位：公斤")
    @TableField("lssl")
    private BigDecimal lssl;

    @ApiModelProperty(value = "粮食产地；basic_enum的id；")
    @TableField("grain_area_id")
    private Integer grainAreaId;

    @ApiModelProperty(value = "收获年度，格式：YYYY，货位（油罐）状态为2、3、4时必填")
    @TableField("shnd")
    private Date shnd;

    @ApiModelProperty(value = "入仓日期；第一车粮食入仓时间；")
    @TableField("rcsj")
    private Date rcsj;

    @ApiModelProperty(value = "出库数量")
    @TableField("out_quantity")
    private BigDecimal outQuantity;

    @ApiModelProperty(value = "入库财政核定")
    @TableField("in_financial_verification")
    private String inFinancialVerification;

    @ApiModelProperty(value = "出库财政核定")
    @TableField("out_financial_verification")
    private String outFinancialVerification;

    @ApiModelProperty(value = "存储损耗")
    @TableField("excess_loss_quantity")
    private BigDecimal excessLossQuantity;

    @ApiModelProperty(value = "形成货位时间；生成粮情卡的时间；")
    @TableField("form_warehouse_time")
    private Date formWarehouseTime;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    @TableField("grain_grade_id")
    private Integer grainGradeId;

    @ApiModelProperty(value = "测温方式 1：电子测温；2：手动测温；")
    @TableField("temperature_measure_type")
    private Integer temperatureMeasureType;

    @ApiModelProperty(value = "通风方式")
    @TableField("drafttype")
    private Integer drafttype;

    @ApiModelProperty(value = "管理方式 01 直储；02 代储；03 租仓；04 委托；")
    @TableField("glfs")
    private String glfs;

    @ApiModelProperty(value = "存储地点库区id；org_info的id；")
    @TableField("storage_org_id")
    private Integer storageOrgId;

    @ApiModelProperty(value = "保管方式")
    @TableField("keeping_way")
    private Integer keepingWay;

    @ApiModelProperty(value = "散存粮体积(立方米)")
    @TableField("volume")
    private BigDecimal volume;

    @ApiModelProperty(value = "长（米）")
    @TableField("length")
    private BigDecimal length;

    @ApiModelProperty(value = "宽（米）")
    @TableField("width")
    private BigDecimal width;

    @ApiModelProperty(value = "梯形粮堆-上底长")
    @TableField("trapezoid_upper_length")
    private BigDecimal trapezoidUpperLength;

    @ApiModelProperty(value = "梯形粮堆-下底长")
    @TableField("trapezoid_lower_length")
    private BigDecimal trapezoidLowerLength;

    @ApiModelProperty(value = "梯形粮堆-上底宽")
    @TableField("trapezoid_upper_width")
    private BigDecimal trapezoidUpperWidth;

    @ApiModelProperty(value = "梯形粮堆-下底宽")
    @TableField("trapezoid_lower_width")
    private BigDecimal trapezoidLowerWidth;

    @ApiModelProperty(value = "平房仓粮堆（高）")
    @TableField("flat_storage_height")
    private BigDecimal flatStorageHeight;

    @ApiModelProperty(value = "梯形高")
    @TableField("trapezoid_height")
    private BigDecimal trapezoidHeight;

    @ApiModelProperty(value = "筒仓内直径")
    @TableField("silo_inner_diameter")
    private BigDecimal siloInnerDiameter;

    @ApiModelProperty(value = "筒仓内粮堆高")
    @TableField("silo_grain_height")
    private BigDecimal siloGrainHeight;

    @ApiModelProperty(value = "包装散存包数")
    @TableField("packaged_count")
    private Integer packagedCount;

    @ApiModelProperty(value = "平均包重")
    @TableField("average_weight")
    private BigDecimal averageWeight;

    @ApiModelProperty(value = "检查记录id；business_qc_quality_inspection的id；数组 , 分隔；")
    @TableField("check_record_ids")
    private String checkRecordIds;


}
