package com.chinaitop.depot.intelligent.grainReserves.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 粮食储备-节粮损益-损溢损失信息采集
 * </p>
 *
 * @author root
 * @since 2024-05-15
 */
@Data
public class BusinessGslrLossCollectParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "创建日期")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    private Date updatedate;

    @ApiModelProperty(value = "损益单号")
    private String sydh;

    @ApiModelProperty(value = "业务日期")
    @NotNull(message = "业务日期不能为空")
    private Date businessDate;

    @ApiModelProperty(value = "库区id；org_info的id；")
    private Integer orgId;

    @ApiModelProperty(value = "basic_storehouse的id；仓房id")
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "basic_warehouse的id；货位id")
    private Integer warehouseId;

    @ApiModelProperty(value = "粮食品种；basic_enum的id；")
    private Integer grainVarietyId;

    @ApiModelProperty(value = "粮食性质；basic_enum的id；")
    private Integer grainNatureId;

    @ApiModelProperty(value = "粮食等级；basic_enum的id；")
    private Integer grainGradeId;

    @ApiModelProperty(value = "入库时间")
    @NotNull(message = "入库时间不能为空")
    private Date storageTime;

    @ApiModelProperty(value = "入库净重")
    @TableField("net_weight_in")
    private BigDecimal netWeightIn;

    @ApiModelProperty(value = "出库时间")
    @NotNull(message = "出库时间不能为空")
    private Date outboundTime;

    @ApiModelProperty(value = "出库净重")
    @NotNull(message = "出库净重不能为空")
    private BigDecimal netWeightOut;

    @ApiModelProperty(value = "存储年限")
    private Integer storageYears;

    @ApiModelProperty(value = "损溢是否正常 1：正常；2:不正常；")
    @NotNull(message = "损溢是否正常不能为空")
    private Integer isNormalLoss;

    @ApiModelProperty(value = "入库水分")
    @NotNull(message = "入库水分不能为空")
    private BigDecimal moistureIn;

    @ApiModelProperty(value = "入库杂质")
    private BigDecimal impurityIn;

    @ApiModelProperty(value = "出库水分")
    private BigDecimal moistureOut;

    @ApiModelProperty(value = "出库杂质")
    private BigDecimal impurityOut;

    @ApiModelProperty(value = "水分减量")
    @NotNull(message = "水分减量不能为空")
    private BigDecimal moistureLoss;

    @ApiModelProperty(value = "保管自然损耗")
    @NotNull(message = "保管自然损耗不能为空")
    private BigDecimal naturalLoss;

    @ApiModelProperty(value = "存储损耗")
    @NotNull(message = "存储损耗不能为空")
    private BigDecimal storageLoss;

    @ApiModelProperty(value = "超耗数量")
    @NotNull(message = "超耗数量不能为空")
    private BigDecimal excessLossQuantity;

    @ApiModelProperty(value = "检查计算数")
    @NotNull(message = "检查计算器不能为空")
    private BigDecimal checkCalculateNumber;

    @ApiModelProperty(value = "水杂减量")
    private BigDecimal moistureImpurityLoss;

    @ApiModelProperty(value = "损益原因")
    private String lossProfitReason;

    @ApiModelProperty(value = "仓储审核人")
    private String warehouseAuditor;

    @ApiModelProperty(value = "质检审核人")
    private String qualityAuditor;

    @ApiModelProperty(value = "统计审核人")
    private String statisticsAuditor;

    @ApiModelProperty(value = "会计审核人")
    private String accountingAuditor;

    @ApiModelProperty(value = "领导审核人")
    private String leadershipAuditor;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "状态 0：保存；1：上报；")
    @NotNull(message = "状态不能为空")
    private Integer status;

    @ApiModelProperty(value = "杂质减量")
    private BigDecimal impurityReductionQuality;

    @ApiModelProperty(value = "实际损耗数量")
    @NotNull(message = "实际损耗数量不能为空")
    private BigDecimal actualLossQuantity;


}
