package com.chinaitop.depot.intelligent.priceApproval.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsOutConfirmDiffPriceItem;
import com.chinaitop.depot.intelligent.priceApproval.model.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 财务监管-销售收入上缴 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-07-24
 */
public interface BusinessFsSaleRevenueMapper extends BaseMapper<BusinessFsSaleRevenue> {

    List<BusinessContract> getContractInfo(@Param("orgId") Integer orgId);

    List<BusinessContractDetail> getContractInfoList(@Param("id") Integer id);

    BusinessFsSaleRevenueInspectionLoss getQualityInfo(Map<String, Object> map);

    List<BusinessFsSaleRevenueThreeConsistenceAccount> getConsistenceAccountInfo(@Param("contractNumber") String contractNumber);

    List<BusinessFsSaleRevenueThreeConsistence> getOutStorageInfo(@Param("contractNumber") String contractNumber);

    List<DataCPZ> getOutStorageDetailed(@Param("contractNumber") String contractNumber);

    List<BusinessFsSaleRevenueSettle> getSettlementInfo(@Param("contractNumber") String contractNumber);

    List<BusinessFsSaleRevenueDiffPrice> getDiffPriceInfo(@Param("contractNumber") String contractNumber);

    BusinessFsSaleRevenueApprovalPrice getCardInfo(Map<String, Object> map);

    List<BusinessFsSaleRevenueThreeConsistenceAccount> getConsistenceAccountDetailsInfo(@Param("id") Integer id);

    List<BusinessFsSaleRevenueInspectionLoss> getQualityDetailsInfo(@Param("id") Integer id);

    List<BusinessFsSaleRevenueThreeConsistence> getOutStorageDetailsInfo(@Param("id") Integer id);

    List<BusinessFsSaleRevenueSettle> getSettlementDetailsInfo(@Param("id") Integer id);

    List<BusinessFsSaleRevenueApprovalPrice> getCardDetailsInfo(@Param("id") Integer id);

    List<BusinessFsSaleRevenueDiffPrice> getDiffPriceDetailsInfo(@Param("id") Integer id);

    Page<BusinessFsSaleRevenue> selectPageList(Page<Object> objectPage, @Param("ew") QueryWrapper<BusinessFsSaleRevenue> wrapper);
}
