package com.chinaitop.depot.intelligent.priceApproval.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chinaitop.depot.intelligent.financialSupervision.model.BusinessFsAccount;
import com.chinaitop.depot.intelligent.priceApproval.model.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 财务监管-入库价格核定 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
public interface BusinessFsStoragePriceApprovalMapper extends BaseMapper<BusinessFsStoragePriceApproval> {

    List<BusinessContract> getContractInfo(@Param("orgId") Integer orgId);

    List<BusinessContractDetail> getContractInfoList(@Param("id") Integer id);

    List<BusinessFsStoragePriceApprovalInspection> getQualityInfo(@Param("orgId") Integer orgId);

    List<BusinessFsStoragePriceApprovalThreeConsistence> getApprovalThree(Map<String, Object> map);

    List<DataCPZ> getApprovalThreeRKMX(@Param("orgId") Integer orgId);

    List<BusinessFsAccount> getApprovalThreeKJPZ(@Param("orgId") Integer orgId);

    List<BusinessFsStoragePriceApprovalSettle> getApprovalSettle(Map<String, Object> map);

    List<BusinessFsStoragePriceApprovalInspection> getQualityInfoBySaveJoin(@Param("id") Integer id);

    List<BusinessFsStoragePriceApprovalThreeConsistence> threeConsistences(@Param("id") Integer id);

    List<BusinessFsStoragePriceApprovalSettle> getApprovalSettleList(@Param("id") Integer id);

    Page<BusinessFsStoragePriceApprovalPageResult> selectPageList(Page<Object> objectPage, @Param("ew") QueryWrapper<BusinessFsStoragePriceApprovalPageResult> wrapper);
}
