package com.chinaitop.depot.intelligent.priceApproval.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-销售收入上缴-原核定入库价格
 * </p>
 *
 * @author root
 * @since 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_sale_revenue_approval_price")
@ApiModel(value="BusinessFsSaleRevenueApprovalPrice对象", description="财务监管-销售收入上缴-原核定入库价格")
public class BusinessFsSaleRevenueApprovalPrice implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_sale_revenue的ID；")
    @TableField("fs_sale_revenue_id")
    private Integer fsSaleRevenueId;

    @ApiModelProperty(value = "原粮专卡ID；grain_situation_card的ID；")
    @TableField("grain_situation_card_id")
    private Integer grainSituationCardId;

    @ApiModelProperty(value = "入库金额")
    @TableField("storage_amount")
    private BigDecimal storageAmount;

    @ApiModelProperty(value = "文件号")
    @TableField("document_number")
    private String documentNumber;

    @ApiModelProperty(value = "文档上传")
    @TableField("document_upload")
    private String documentUpload;

    @ApiModelProperty(value = "仓房名称")
    @TableField(exist = false)
    private Integer storehouseId;

    @ApiModelProperty(value = "仓房名称")
    @TableField(exist = false)
    private String storehouseName;

    @ApiModelProperty(value = "货位名称")
    @TableField(exist = false)
    private String warehouseId;

    @ApiModelProperty(value = "货位名称")
    @TableField(exist = false)
    private String warehouseName;

    @ApiModelProperty(value = "入库数量（公斤）")
    @TableField(exist = false)
    private BigDecimal lssl;

    @ApiModelProperty(value = "核定单价（元）")
    @TableField(exist = false)
    private BigDecimal inNinancialVerification;
}
