package com.chinaitop.depot.intelligent.priceApproval.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-销售收入上缴-质检损益信息
 * </p>
 *
 * @author root
 * @since 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_sale_revenue_inspection_loss")
@ApiModel(value="BusinessFsSaleRevenueInspectionLoss对象", description="财务监管-销售收入上缴-质检损益信息")
public class BusinessFsSaleRevenueInspectionLoss implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_sale_revenue的ID；")
    @TableField("fs_sale_revenue_id")
    private Integer fsSaleRevenueId;

    @ApiModelProperty(value = "出库质检报告；business_qc_quality_inspection的id；")
    @TableField("qc_quality_inspection_id_out")
    private Integer qcQualityInspectionIdOut;

    @ApiModelProperty(value = "入库质检报告；business_qc_quality_inspection的id；")
    @TableField("qc_quality_inspection_id_in")
    private Integer qcQualityInspectionIdIn;

    @ApiModelProperty(value = "损溢损失信息；business_gslr_loss_collect的id；")
    @TableField("gslr_loss_collect_id")
    private Integer gslrLossCollectId;

    // 业务数据
    @ApiModelProperty(value = "报告单号-入库单号")
    @TableField(exist = false)
    private String zjbgdhIn;

    @ApiModelProperty(value = "仓房名称")
    @TableField(exist = false)
    private String storehouseName;

    @ApiModelProperty(value = "货位名称")
    @TableField(exist = false)
    private String warehouseName;

    @ApiModelProperty(value = "入仓杂质")
    @TableField(exist = false)
    private String zzIn;

    @ApiModelProperty(value = "入仓水分")
    @TableField(exist = false)
    private String sfIn;

    @ApiModelProperty(value = "报告单号-出库单号")
    @TableField(exist = false)
    private String zjbgdhOut;

    @ApiModelProperty(value = "出仓杂质")
    @TableField(exist = false)
    private String zzOut;

    @ApiModelProperty(value = "出仓水分")
    @TableField(exist = false)
    private String sfOut;

    @ApiModelProperty(value = "实际损耗量（公斤）")
    @TableField(exist = false)
    private String actualLossQuantity;

    @ApiModelProperty(value = "定额损耗小计（公斤）")
    @TableField(exist = false)
    private String quotaLoss;

    @ApiModelProperty(value = "保管损耗（公斤）")
    @TableField(exist = false)
    private String naturalLoss;

    @ApiModelProperty(value = "水分减量（公斤）")
    @TableField(exist = false)
    private String moistureLoss;

    @ApiModelProperty(value = "杂质减量（公斤）")
    @TableField(exist = false)
    private String impurityReductionQuality;

    @ApiModelProperty(value = "超耗数量（公斤）")
    @TableField(exist = false)
    private String excessLossQuantity;

    @ApiModelProperty(value = "超耗原因")
    @TableField(exist = false)
    private String lossProfitReason;
}
