package com.chinaitop.depot.intelligent.priceApproval.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 财务监管-销售收入上缴-结算信息
 * </p>
 *
 * @author root
 * @since 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_sale_revenue_settle")
@ApiModel(value="BusinessFsSaleRevenueSettle对象", description="财务监管-销售收入上缴-结算信息")
public class BusinessFsSaleRevenueSettle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_sale_revenue的ID；")
    @TableField("fs_sale_revenue_id")
    private Integer fsSaleRevenueId;

    @ApiModelProperty(value = "business_fs_out_confirm的ID；")
    @TableField("fs_out_confirm_id")
    private Integer fsOutConfirmId;

    @ApiModelProperty(value = "省平台修改-出库验收确认-销往单位")
    @TableField("province_acceptance_unit")
    private String provinceAcceptanceUnit;

    @ApiModelProperty(value = "省平台修改-出库确认单-数量（吨）")
    @TableField("province_total_settle_quantity")
    private BigDecimal provinceTotalSettleQuantity;

    @ApiModelProperty(value = "省平台修改-出库确认单-金额，单位：元")
    @TableField("province_total_settle_amount")
    private BigDecimal provinceTotalSettleAmount;

    @ApiModelProperty(value = "省平台修改-贷款收回情况-单位")
    @TableField("province_loan_recovery_unit")
    private String provinceLoanRecoveryUnit;

    @ApiModelProperty(value = "省平台修改-贷款收回情况-数量")
    @TableField("province_loan_recovery_quantity")
    private BigDecimal provinceLoanRecoveryQuantity;

    @ApiModelProperty(value = "省平台修改-贷款收回情况-金额")
    @TableField("province_loan_recovery_amount")
    private BigDecimal provinceLoanRecoveryAmount;

    @ApiModelProperty(value = "省平台修改-销售发票情况-单位")
    @TableField("province_invoice_unit")
    private String provinceInvoiceUnit;

    @ApiModelProperty(value = "省平台修改-销售发票情况-发票数量")
    @TableField("province_invoice_quantity")
    private Integer provinceInvoiceQuantity;

    @ApiModelProperty(value = "省平台修改-销售发票情况-发票单价")
    @TableField("province_invoice_unit_price")
    private BigDecimal provinceInvoiceUnitPrice;

    @ApiModelProperty(value = "省平台修改-销售发票情况-发票金额")
    @TableField("province_invoice_amount")
    private BigDecimal provinceInvoiceAmount;

    @ApiModelProperty(value = "省平台修改-贷款归还-日期")
    @TableField("province_loan_return_time")
    private Date provinceLoanReturnTime;

    @ApiModelProperty(value = "省平台修改-贷款归还-金额")
    @TableField("province_loan_return_amount")
    private BigDecimal provinceLoanReturnAmount;

    // 业务数据
    @ApiModelProperty(value = "出库验收确认-单位")
    @TableField(exist = false)
    private String orgName;

    @ApiModelProperty(value = "贷款收回情况-日期")
    @TableField(exist = false)
    private Date loanReturnTime;
}
