package com.chinaitop.depot.intelligent.priceApproval.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 财务监管-入库价格核定-质检信息
 * </p>
 *
 * @author root
 * @since 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("business_fs_storage_price_approval_inspection")
@ApiModel(value="BusinessFsStoragePriceApprovalInspection对象", description="财务监管-入库价格核定-质检信息")
public class BusinessFsStoragePriceApprovalInspection implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "创建人")
    @TableField("createname")
    private String createname;

    @ApiModelProperty(value = "创建日期")
    @TableField("createdate")
    private Date createdate;

    @ApiModelProperty(value = "更新人")
    @TableField("updatename")
    private String updatename;

    @ApiModelProperty(value = "更新日期")
    @TableField("updatedate")
    private Date updatedate;

    @ApiModelProperty(value = "business_fs_storage_price_approval的ID")
    @TableField("fs_storage_price_approval_id")
    private Integer fsStoragePriceApprovalId;

    @ApiModelProperty(value = "business_qc_quality_inspection的ID")
    @TableField("qc_quality_inspection_id")
    private Integer qcQualityInspectionId;

    @ApiModelProperty(value = "报告单号")
    @TableField(exist = false)
    private String zjbgdh;

    @ApiModelProperty(value = "机构编码")
    @TableField(exist = false)
    private String orgId;

    @ApiModelProperty(value = "仓号id")
    @TableField(exist = false)
    private Integer basicStorehouseId;

    @ApiModelProperty(value = "仓号名称")
    @TableField(exist = false)
    private String storehouseName;

    @ApiModelProperty(value = "货位id")
    @TableField(exist = false)
    private String warehouseId;

    @ApiModelProperty(value = "货位名称")
    @TableField(exist = false)
    private String warehouseName;

    @ApiModelProperty(value = "杂质")
    @TableField(exist = false)
    private String zz;

    @ApiModelProperty(value = "水分")
    @TableField(exist = false)
    private String sf;

    @ApiModelProperty(value = "结果")
    @TableField(exist = false)
    private String jg;

    @ApiModelProperty(value = "产地")
    @TableField(exist = false)
    private String produceArea;
}
